select
    pv.CZ_NAZEV AS nazev,
    pv.AN_NAZEV AS AN_nazev,
    pv.AN_NAZEV AS NAZEVPREDMETUEN,
    ra.PRAC_ZKR as fk_prac_zkr,
    ra.ZKR_PREDM as fk_zkr_predm,
    ra.ROK_VARIANTY as fk_rok_varianty,
    ra.CISLO_MIST as fk_cislo_mist,
    ra.ZKR_BUDOVY as fk_zkr_budovy,
    ra.PLAN, ra.OBSAZENI,
    ra.TYPAKCE as zkr_typakce,
    ra.SEMESTR,
    ra.PLATNOST,
    ra.den as den_zkr,
    ra.hod_od,
    ra.hod_do,
    ra.HOD_VYUC_OD,
    ra.HOD_VYUC_DO,
    ra.skut_hod_od as HOD_SKUT_OD,
    ra.skut_hod_do as HOD_SKUT_DO,
    ra.skut_hod_od,
    ra.skut_hod_do,
    DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce,
    ra.TYDEN_OD,
    ra.TYDEN_DO,
    ra.TYDEN as zkr_tyden,
    DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden,
    DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) AS den,
    c3.PORADI AS den_poradi,
    ra.GRUPIDNO,
    ra.POZNAMKA,
    ra.ROAKIDNO as PK_ROAKIDNO,
    ra.TYDEN as FK_TYDEN,
    ra.JE_NADRAZENA as JE_NADRAZENA,
    ra.MA_NADRAZENOU as MA_NADRAZENOU,
    ra.casova_rada,
    (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_od,
    (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_do,
    'R' as druh_akce,
    ra.ROK_PLATNOSTI,
    ra.kontakt,
    zb.roakidno_from,
    raf.grupidno from_grupidno,
    DECODE(:lang, 'cs', c4.RV_MEANING, 'sk', c4.RV_MEANING, NVL(c4.ENGLISH, c4.RV_MEANING)) AS from_den,
    raf.zkr_budovy || '-'|| raf.cislo_mist from_mistnost,
    raf.skut_hod_od from_hod_od,
    raf.skut_hod_do from_hod_do
 from
    rozvrh_akce ra,
    cg_ref_codes c1,
    cg_ref_codes c2,
    cg_ref_codes c3,
    cg_ref_codes c4,
    pred_varianty pv,
    zapisy_burza zb,
    rozvrh_akce raf
where
((ra.roakidno = zb.roakidno_to) or
(ra.grupidno = (select ra2.grupidno from rozvrh_akce ra2 where ra2.roakidno = zb.roakidno_to)))
and zb.os_cislo = :os_cislo
and zb.rok_platnosti = :rok
and ra.semestr = :semestr
and c1.RV_DOMAIN = 'TYP_AKCE'
and c1.RV_LOW_VALUE = ra.TYPAKCE
and c2.RV_DOMAIN(+) = 'TYDEN'
and c2.RV_LOW_VALUE(+) = ra.TYDEN
and c3.RV_DOMAIN(+) = 'DEN'
and c3.RV_LOW_VALUE(+) = ra.DEN
and c4.RV_DOMAIN(+) = 'DEN'
and c4.RV_LOW_VALUE(+) = raf.DEN
and pv.ZKR_PREDM = ra.ZKR_PREDM
and pv.PRAC_ZKR = ra.PRAC_ZKR
and pv.ROK_VARIANTY = ra.ROK_VARIANTY
and raf.roakidno = zb.roakidno_from
order by ra.grupidno, den_poradi