SELECT
       SP.FAKULTA_SP,
       SP.KODSP_I,
       DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS program_nazev,
       DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS program_typ,
       DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS program_forma,
       DECODE(:lang, 'cs', ob.CZ_NAZEV, 'sk', ob.CZ_NAZEV, NVL(ob.AN_NAZEV, ob.CZ_NAZEV)) AS obor_nazev,
       OB.CISOBORU,
       OB.CISSPEC,
       DECODE(:lang, 'cs', nvl(pl.NAZEV,ob.CZ_NAZEV), 'sk', nvl(pl.NAZEV,ob.CZ_NAZEV), NVL(nvl(pl.AN_NAZEV,ob.AN_NAZEV), nvl(pl.NAZEV,ob.CZ_NAZEV))) AS plan_nazev,
       PL.ROK_PLATNOSTI,
       PL.VERZE,
       PL.STPLIDNO,
       sum(decode(BL.STATUT,'A',3,'B',2,'C',1,0)) skore
  FROM studijni_programy SP,
       obory OB,
       studijni_plany PL,
       poradi_segmentu PS,
       segmenty_st_planu SSPL,
       bloky BL,
       bloky_predm BP,
       STUDENTI_PRIJEZDY_STUDIA SPS,
       STUDENTI_PRIJEZDY_PREDMETY SPP,
       cg_ref_codes cob, cg_ref_codes cfo
 WHERE SP.STPRIDNO = OB.STPRIDNO
   AND OB.OBORIDNO = PL.OBORIDNO
   AND PL.STPLIDNO = PS.STPLIDNO
   AND PS.SESPIDNO = SSPL.SESPIDNO
   AND SSPL.SESPIDNO = BL.SESPIDNO
   AND BL.BLOKIDNO = BP.BLOKIDNO
   AND SPS.STPSIDNO = SPP.STPSIDNO
   AND PL.ROK_PLATNOSTI = SPS.ROK_PLATNOSTI
   AND BP.PRAC_ZKR = SPP.PRAC_ZKR
   AND BP.ZKR_PREDM = SPP.ZKR_PREDM
   AND BP.ROK_VARIANTY = SPP.ROK_VARIANTY
   AND SPS.STPSIDNO = :PAR_STPSIDNO
   and  cob.rv_domain = 'TYP_OBORU'
   and  sp.typ = cob.rv_low_value
   and  cfo.rv_domain = 'FORMA_OBORU_NEW'
   and  sp.forma = cfo.rv_low_value
 GROUP BY SP.FAKULTA_SP,
       SP.KODSP_I,
       DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
       DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)),
       DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)),
       OB.CISOBORU,
       DECODE(:lang, 'cs', ob.CZ_NAZEV, 'sk', ob.CZ_NAZEV, NVL(ob.AN_NAZEV, ob.CZ_NAZEV)),
       OB.CISSPEC,
       DECODE(:lang, 'cs', nvl(pl.NAZEV,ob.CZ_NAZEV), 'sk', nvl(pl.NAZEV,ob.CZ_NAZEV), NVL(nvl(pl.AN_NAZEV,ob.AN_NAZEV), nvl(pl.NAZEV,ob.CZ_NAZEV))),
       PL.ROK_PLATNOSTI,
       PL.VERZE,
       PL.STPLIDNO
 ORDER BY skore DESC