select /*+ FIRST_ROWS */
  distinct
  os_cislo,
  jmeno,
  prijmeni,
  titul_pred,
  titul_za,
  fakulta_sp,
  kodsp_i,
  stav,
  rod_cislo,
--  standard_rok,
  typ,
  forma,
  misto,
  obor_komb
  from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS
@IF(2)  ORDERED 
    */
	distinct s.os_cislo, o.jmeno, o.prijmeni, o.rod_cislo,
         c1.rv_abbreviation AS titul_pred, c2.rv_abbreviation AS titul_za,
         sp.fakulta_sp, sp.kodsp_i,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA')
                   FROM DUAL)) stav, svor.standard_rok,
         (SELECT fn_meaning2(sp.typ, 'TYP_OBORU') FROM DUAL) typ,
         (SELECT fn_meaning2(sp.forma, 'FORMA_OBORU_NEW') FROM DUAL) forma,
         (select fn_meaning2(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) end obor_komb*/
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor_komb
    FROM osoby o,
         studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         studenti_na_oboru_v_roce snor,
         studijni_plany stpl,
         obory ob,
         kombinace k,
         cg_ref_codes c1,
         cg_ref_codes c2
         ,studenti_vyjezdy vyjezd
    WHERE o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND stpl.oboridno = ob.oboridno
     AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     AND k.kombidno(+) = svor.kombidno
@IFNOT(0) AND svor.rok_platnosti = :xrok_platnosti
@IF(0) and svor.rok_platnosti = fn_rok(s.os_cislo)
     AND sp.fakulta_sp LIKE NVL (upper(:p_fak_sp), '%')
     AND sp.kodsp_i LIKE NVL (:p_stud_program, '%')
     AND ob.cisoboru LIKE NVL (:p_obor, '%')
     AND (k.zkratka IS NULL OR k.zkratka LIKE NVL (:p_kombinace, '%'))
     and s.stav like nvl(:xstav,'%')
     and upper(o.prijmeni) like nvl(upper(:prijmeni),'%')
@IF(0) and s.os_cislo like upper(:xos_cislo)
     and svor.standard_rok between nvl(:rocnik_od,1) and nvl(:rocnik_do,99)
@IF(1) and exists (select vyj.os_cislo from studenti_vyjezdy vyj
@IF(1)       where vyj.os_cislo = s.os_cislo and
@IF(1)            (vyj.UCITIDNO_DC_ADMINISTRACE = :koordUcitIdno or
@IF(1)             vyj.UCITIDNO_DC_PODPIS = :koordUcitIdno or
@IF(1)             vyj.UCITIDNO_IC_ADMINISTRACE = :koordUcitIdno or
@IF(1)             vyj.UCITIDNO_IC_PODPIS = :koordUcitIdno))
@IF(7) and exists (select vyj.os_cislo from studenti_vyjezdy vyj
@IF(7)       where vyj.os_cislo = s.os_cislo and
@IF(7)             vyj.zastidno = :zastIdno)
     and vyjezd.os_cislo = s.os_cislo
@IF(4)     and ( (vyjezd.datum_od IS NOT NULL and vyjezd.datum_od >= SYSDATE)
@IF(4)       OR ( vyjezd.datum_od IS NULL and vyjezd.datum_predpokladaneho_vyjezdu IS NOT NULL and vyjezd.datum_predpokladaneho_vyjezdu >= SYSDATE ) )
@IF(5)     and ( (vyjezd.datum_do IS NOT NULL and vyjezd.datum_do <= SYSDATE)
@IF(5)       OR ( vyjezd.datum_do IS NULL and vyjezd.datum_predpokladaneho_prijezdu IS NOT NULL and vyjezd.datum_predpokladaneho_prijezdu <= SYSDATE ) )
@IF(6)     and ( (vyjezd.datum_od IS NOT NULL and vyjezd.datum_od <= SYSDATE)
@IF(6)       OR ( vyjezd.datum_od IS NULL and vyjezd.datum_predpokladaneho_vyjezdu IS NOT NULL and vyjezd.datum_predpokladaneho_vyjezdu <= SYSDATE ) )
@IF(6)     and ( (vyjezd.datum_do IS NOT NULL and vyjezd.datum_do >= SYSDATE)
@IF(6)       OR ( vyjezd.datum_do IS NULL and vyjezd.datum_predpokladaneho_prijezdu IS NOT NULL and vyjezd.datum_predpokladaneho_prijezdu >= SYSDATE ) )
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
) x
where rownum <= nvl(:do,51)
) y
where y.poradi >= nvl(:od,0)
order by prijmeni, jmeno