SELECT
  dot.dotaidno,
  td.zkr,
  td.popis,
  dot.skolni_rok,
  dot.semestr,
  dot.VETOVANI,
  dot.UZAVRENI,
  dot.OTEVRENI,
  dot.DATUM_ZVER_REAK
from
  eva_dotazniky dot,
  eva_typ_dotazniku td  
where
    dot.SKOLNI_ROK like nvl(:rok,'%')
    and dot.SEMESTR like nvl(:semestr,'%')
    and dot.TYDOIDNO = td.TYDOIDNO
    and (select count(*)
      from
        eva_omezeni_resp om,
        eva_polozky_zahlavi zp
     where
      om.zapoidno = zp.zapoidno
      and zp.zkr = 'predmet'  
      and om.hodnota_polozky = 'B'
      and om.tydoidno = dot.tydoidno)  = 0
union
SELECT
  dot.dotaidno,
  dp.prac_zkr||'/'||dp.zkr_predm zkr,
  td.popis,
  dot.skolni_rok,
  dot.semestr,
  dot.VETOVANI,
  dot.UZAVRENI,
  dot.OTEVRENI,
  dot.DATUM_ZVER_REAK
from
  eva_dotazniky dot,
  eva_typ_dotazniku td,
  eva_dot_predmet dp 
where
    dot.SKOLNI_ROK like nvl(:rok,'%')
    and dot.SEMESTR like nvl(:semestr,'%')
    and dot.TYDOIDNO = td.TYDOIDNO
    and (select count(*)
      from
        eva_omezeni_resp om,
        eva_polozky_zahlavi zp
     where
      om.zapoidno = zp.zapoidno
      and zp.zkr = 'predmet'  
      and om.hodnota_polozky = 'B'
      and om.tydoidno = dot.tydoidno)  = 1
      and dp.dotaidno = dot.dotaidno
      and (select pg_eva.get_role_predmet(:p_ucitidno, dp.dopridno) from dual) is not null
       
  
