select
  cp.NAZEV,
  u.JMENO,
  u.PRIJMENI,
  u.UCITIDNO as FK_ucitidno,
  cp.NAD_PRAC_ZKR as Fk_Nadraz_prac,
  cp2.NAZEV as Nadraz_prac,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.english, c3.RV_MEANING)) AS typ_vedouciho,
  DECODE(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as vedouci,
  cp.CISLO_PRAC

from
  cis_pracovist cp,
  cis_pracovist cp2,
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2,
  cg_ref_codes c3
  
where
  cp.ZKR = upper(:zkr_kat)
  and cp2.ZKR = cp.NAD_PRAC_ZKR
  and u.UCITIDNO = cp.UCITIDNO
  and c1.RV_DOMAIN(+) = 'TITUL_PRED'
  and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  and c2.RV_DOMAIN(+) = 'TITUL_ZA'
  and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
  and c3.RV_DOMAIN = 'TYP_VEDOUCIHO'
  and c3.RV_LOW_VALUE = cp.TYP_VEDOUCIHO