SELECT
    st.stud_IDNO stud_IDNO, st.TEMA_IDNO TEMA_IDNO, st.tym_IDNO tym_IDNO,
    st.os_cislo os_cislo, st.datum_zapsani datum_zapsani, st.je_vedouci je_vedouci,
    o.jmeno as jmeno, o.prijmeni as prijmeni, tym.nazev as tym_nazev,
    (select count(*) from zs_odevzdana_prace op
     where op.TEMA_IDNO = st.tema_idno
      and op.os_cislo = st.os_cislo) as pocet_odevzdanych,
    (select count(*) from zs_odevzdana_prace op
     where op.TEMA_IDNO = st.tema_idno
      and op.os_cislo = st.os_cislo
      and op.PRECTENA is null) as pocet_neprectenych,
    (select count(*) from zs_odevzdana_prace op
     where op.TEMA_IDNO = st.tema_idno
      and op.os_cislo = st.os_cislo
      and op.VYSLEDEK_VALIDACE = 2) as pocet_validace_ok
FROM
    zs_studenti st,
    zs_tymy tym,
    Studenti S,
    Osoby O
WHERE
    st.TEMA_IDNO = :temaIdno
    and st.os_cislo = S.Os_Cislo
    and S.OsobIDNO = O.OsobIDNO
    and tym.tym_IDNO = st.tym_IDNO
ORDER BY
    st.tym_IDNO, nlssort(o.prijmeni, 'NLS_SORT = XCzech'), nlssort(o.jmeno, 'NLS_SORT = XCzech')
