SELECT DISTINCT 
        zs.*, blok.*, tema.*, 
        skup.skup_idno as skupina_skup_idno, skup.nazev as skupina_nazev, skup.popis as skupina_popis,
        ( select tema2.tema_IDNO from zs_studenti stud, ZS_TEMATA tema2
          where stud.os_cislo = :os_cislo and stud.TEMA_IDNO = tema2.tema_IDNO
          and tema2.blok_IDNO = blok.blok_IDNO ) as zapsane_tema_id,
        ( select count(distinct stud2.tym_IDNO)
            from zs_studenti stud2
            where stud2.TEMA_IDNO = tema.tema_IDNO
        ) pocet_zapsanych_zadani
FROM    
        ss_student_ve_skupine stud,
        ZS_ZADANI_SEMESTRALEK zs,
        zs_bloky blok,
        ss_skupina_studentu skup,
        ZS_TEMATA tema
WHERE
        stud.OS_CISLO = upper(:os_cislo)
        and blok.skup_idno = stud.skup_idno 
        and blok.skup_idno = skup.skup_idno
        and blok.ZS_IDNO = zs.zs_IDNO
        and tema.BLOK_IDNO = blok.blok_IDNO
        and (tema.stav = 0 or tema.stav = 2 or tema.navrhl_os_cislo = :os_cislo)
ORDER BY zs.ROK_VARIANTY desc, zs.SEMESTR desc, zs.PRAC_ZKR, zs.ZKR_PREDM, blok.blok_NAZEV, tema.tema_NAZEV
