select
	s.OS_CISLO as pk_os_cislo,
	z.STATUT,
	o.JMENO,
	o.PRIJMENI,
	DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
	DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
	decode(o.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||o.JMENO||' '||o.PRIJMENI||
	decode(o.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as student,
	decode(o.TITUL_ZA, null, null, c2.RV_ABBREVIATION) TITUL_ZA,
	decode(o.TITUL_PRED, null, null, c1.RV_ABBREVIATION) TITUL_PRED
from
	Studenti s,
	osoby o,
	znamky z,
	cg_ref_codes c1,
	cg_ref_codes c2
where
	z.PRAC_ZKR = upper(:zkr_kat)
	and z.ZKR_PREDM = upper(:zkr_pred)
	and z.ROK_PLATNOSTI = :rok_platnosti
	and z.SEMESTR LIKE upper(translate(nvl(:semestr, '%'),'*', '%'))
	and s.OS_CISLO = z.OS_CISLO
	and o.OSOBIDNO = s.OSOBIDNO
	and c1.RV_DOMAIN(+) = 'TITUL_PRED'
	and c1.RV_LOW_VALUE(+) = o.TITUL_PRED
	and c2.RV_DOMAIN(+) = 'TITUL_ZA'
	and c2.RV_LOW_VALUE(+) = o.TITUL_ZA
order by o.PRIJMENI, o.JMENO
