select  
	e.cz_nazev nazev_stud_program, 
	d.cz_nazev nazev_oboru, 
	b.cz_nazev nazev_bloku, 	  	     
	DECODE(:lang, 'cs', fob.RV_MEANING, 'sk', fob.RV_MEANING, NVL(fob.ENGLISH, fob.RV_MEANING)) AS forma,	  	     
	DECODE(:lang, 'cs', tob.RV_MEANING, 'sk', tob.RV_MEANING, NVL(tob.ENGLISH, tob.RV_MEANING)) AS typ_programu, 
	c.etapa, c.rok_platnosti rok,
	d.cisoboru, 
	d.cisspec, 
	e.typ as fk_typ_programu, 
	e.fakulta_sp fakulta,
	a.doporroc as doporuceny_rocnik, 
	a.doporsem as doporuceny_sem, 
	b.statut, 
	s.nazev nazev_segmentu, 
	c.stplidno as fk_stplidno,
	e.stpridno as pk_stpridno, 
	c.oboridno as fk_oboridno, 
	a.blokidno as fk_blokidno 
  from  
    bloky_predm a, 
    bloky b, 
    studijni_plany c, 
    obory d, 
    studijni_programy e, 
    poradi_segmentu g,
    segmenty_st_planu s,
    cg_ref_codes fob, 
    cg_ref_codes tob 
  where  
    a.prac_zkr = upper(:prac_zkr)    
    and  a.zkr_predm = upper(:zkr_predm)
	and  a.rok_varianty = nvl(:rokVarianty, TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')) 
    and  a.blokidno = b.blokidno 
    and  b.sespidno = g.sespidno 
    and  g.stplidno = c.stplidno 
    and  d.stpridno = e.stpridno
    and  d.oboridno = c.oboridno 
    and  s.sespidno = g.sespidno
    and  fob.rv_domain = 'FORMA_OBORU_NEW'
    and  e.forma = fob.rv_low_value 
    and  tob.rv_domain = 'TYP_OBORU'
    and  e.typ = tob.rv_low_value 
  order by 
    b.statut, 1, 2, 3