select distinct
    up.UCITIDNO as pk_ucitidno,
    up.typakce,
    up.typ,
    u.JMENO, u.PRIJMENI, u.platnost, u.zamestnanec,
    DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
    DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
    DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
    u.PRIJMENI||' '||u.JMENO||DECODE(u.TITUL_PRED, NULL, NULL, ', '||c1.RV_ABBREVIATION)||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitelPrJmTit
from
    ucitele u,
    cg_ref_codes c1,
    cg_ref_codes c2,
    ( ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty, ra.ucitidno as ucitidno, ra.typakce, 'ra' as typ
		  FROM Rozvrh_Akce RA WHERE 
                RA.PRAC_ZKR = :katedra
                and RA.ZKR_PREDM = :predmet
                and RA.ROK_VARIANTY = :rok
                and RA.platnost = 'A'
		) UNION
		( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty, ura.ucitidno as ucitidno, ra.typakce, 'ra' as typ
		  FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO 
                and RA.PRAC_ZKR = :katedra
                and RA.ZKR_PREDM = :predmet
                and RA.ROK_VARIANTY = :rok
                and RA.platnost = 'A'
		) UNION
		( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty, upx.ucitidno as ucitidno, upx.garant || upx.prednasejici || upx.cvicici || upx.seminarici as typakce, 'pr' as typ
		  FROM UCITELE_PREDMETU UPX WHERE 
                upx.PRAC_ZKR = :katedra
                and upx.ZKR_PREDM = :predmet
                and upx.ROK_VARIANTY = :rok
		)
    ) up
where
    u.UCITIDNO = up.UCITIDNO
    and c1.RV_DOMAIN(+) = 'TITUL_PRED'
    and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
    and c2.RV_DOMAIN(+) = 'TITUL_ZA'
    and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
order by nlssort(u.PRIJMENI, 'NLS_SORT = XCzech'), nlssort(u.JMENO, 'NLS_SORT = XCzech')    
