select
	u.UCITIDNO as pk_ucitidno,
	u.JMENO,
	u.PRIJMENI,
	u.PRAC_ZKR,
	u.PRACOVISTE_JINE,
	decode(u.ZAMESTNANEC, 'A', 'ANO', 'N', 'NE', '?') zamestnanec,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
  DECODE(:lang, 'cs', cg_garant.RV_MEANING, 'sk', cg_garant.RV_MEANING, NVL(cg_garant.ENGLISH, cg_garant.RV_MEANING)) AS garant,
  DECODE(:lang, 'cs', cg_prednasejici.RV_MEANING, 'sk', cg_prednasejici.RV_MEANING, NVL(cg_prednasejici.ENGLISH, cg_prednasejici.RV_MEANING)) AS prednasejici,
  DECODE(:lang, 'cs', cg_cvicici.RV_MEANING, 'sk', cg_cvicici.RV_MEANING, NVL(cg_cvicici.ENGLISH, cg_cvicici.RV_MEANING)) AS cvicici,
  DECODE(:lang, 'cs', cg_seminarici.RV_MEANING, 'sk', cg_seminarici.RV_MEANING, NVL(cg_seminarici.ENGLISH, cg_seminarici.RV_MEANING)) AS seminarici
  
from
	ucitele u,
	ucitele_predmetu up,
	cg_ref_codes c1,
	cg_ref_codes c2,
	cg_ref_codes cg_garant ,
	cg_ref_codes cg_prednasejici,
	cg_ref_codes cg_cvicici,
	cg_ref_codes cg_seminarici

where
	up.ZKR_PREDM = UPPER(:zkr_predm)
	and up.PRAC_ZKR = UPPER(:katedra)
	and up.ROK_VARIANTY = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))
	and u.UCITIDNO = up.UCITIDNO
	and c1.RV_DOMAIN(+) = 'TITUL_PRED'
	and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
	and c2.RV_DOMAIN(+) = 'TITUL_ZA'
	and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
	and cg_garant.RV_DOMAIN = 'ANO_NE'
	and cg_garant.RV_LOW_VALUE = up.GARANT
	and cg_prednasejici.RV_DOMAIN = 'ANO_NE'
	and cg_prednasejici.RV_LOW_VALUE = up.prednasejici
	and cg_cvicici.RV_DOMAIN = 'ANO_NE'
	and cg_cvicici.RV_LOW_VALUE = up.cvicici
	and cg_seminarici.RV_DOMAIN = 'ANO_NE'
	and cg_seminarici.RV_LOW_VALUE = up.seminarici

order by
	u.PRIJMENI,
	u.JMENO