select
	DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
	ra.PRAC_ZKR as fk_prac_zkr,
	ra.ZKR_PREDM as fk_zkr_predm,
	ra.ROK_VARIANTY as fk_rok_varianty,
	ra.CISLO_MIST as fk_cislo_mist,
	ra.ZKR_BUDOVY as fk_zkr_budovy,
	ra.PLAN,
	ra.OBSAZENI,
	ra.TYPAKCE as zkr_typakce,
	ra.SEMESTR,
	ra.PLATNOST,
	DECODE(:lang, 'cs', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning(ra.PLATNOST,'PLATNOST_RA')  from dual),
      NVL((select fn_meaning_en(ra.PLATNOST,'PLATNOST_RA')  from dual), (select fn_meaning(ra.PLATNOST,'PLATNOST_RA') from dual))) as platnost_slovne,
	ra.DEN,
	ra.HOD_VYUC_OD,
	ra.HOD_VYUC_DO,
	to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
	to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
	DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce,
	ra.TYDEN_OD,
	ra.TYDEN_DO,
	ra.TYDEN as zkr_tyden,
	DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden,
    DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) AS den,
    ra.GRUPIDNO,
    ra.POZNAMKA,
    ra.KONTAKT,
    RA.owner,
    decode((select id_name from id_table2 where id_name = RA.updator),null,null,RA.updator) as updator,
    RA.date_of_update,
    (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as tyden_od_datum,
    --KAL.DATUM as tyden_od_datum,
    fn_get_ucitel(ra.ucitidno) vyucujici,
    ra.ucitidno,
    k.AMAX,
    k.askut,
    k.bMAX,
    k.bskut,
    k.cMAX,
    k.cskut
    -- mohou byt i dalsi vyucujici
from
    rozvrh_akce ra,
     pred_varianty pv,
     --kalendar kal,
     cg_ref_codes c1,
     cg_ref_codes c2,
     cg_ref_codes c3,
     kapacita k
 where
  ra.ROAKIDNO = :roakidno
  and pv.ZKR_PREDM = ra.ZKR_PREDM
  and pv.PRAC_ZKR = ra.PRAC_ZKR
  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
  --AND KAL.ROK_PLATNOSTI(+) = RA.ROK_PLATNOSTI
  --AND KAL.CISLO_TYDNE(+) = RA.TYDEN_OD
  --AND KAL.ROZVRH_DEN(+) = RA.DEN
  and c1.RV_DOMAIN = 'TYP_AKCE'
  and c1.RV_LOW_VALUE = ra.TYPAKCE
  and c2.RV_DOMAIN(+) = 'TYDEN'
  and c2.RV_LOW_VALUE(+) = ra.TYDEN
  and c3.RV_DOMAIN(+) = 'DEN'
  and c3.RV_LOW_VALUE(+) = ra.DEN
  and k.PRAC_ZKR(+)= ra.PRAC_ZKR
  and k.ZKR_PREDM(+) = ra.ZKR_PREDM
  and k.ROK_VARIANTY(+) = ra.ROK_VARIANTY
  and k.semestr(+) = ra.SEMESTR