select
  distinct a.os_cislo,
  a.prijmeni,
  a.jmeno,
  a.fakulta_sp,
  a.kodsp_i
from
  vstudenti_na_programu_v_roce a,
  zapisy b,
  rozvrh_akce c
where
  c.roakidno = :roakidno
  and  b.roakidno = c.roakidno
  and  b.os_cislo = a.os_cislo
  and  b.rok_platnosti = a.rok_platnosti
  and  exists (
        select  k.roakidno
          from  zapisy i, zapisy j, rozvrh_akce k, cg_ref_codes l, casove_rady cr
         where  i.roakidno = :roakidno
           and  i.os_cislo = a.os_cislo
           and  i.rok_platnosti = j.rok_platnosti
           and  i.os_cislo = j.os_cislo
           and  j.roakidno = k.roakidno
           and  j.rok_platnosti = k.rok_platnosti
           and  substr(l.rv_abbreviation,1,2) = k.den
           and  l.poradi = :den
           --and  k.hod_vyuc_od <= h
           --and  (k.hod_vyuc_do >= h or k.hod_vyuc_do is null)
           AND cr.kod = nvl(c.casova_rada,
                                 (select
                                    rv_low_value from
                                      (select rv_low_value from cg_ref_codes where rv_domain
                                        = 'CASOVA_RADA' order by poradi, rv_low_value)
                                   where rownum = 1)
                                   )
            AND ((TO_CHAR(k.skut_hod_od,'HH24:MI') >= TO_CHAR(cr.cas_od,'HH24:MI')
                AND TO_CHAR(k.skut_hod_od,'HH24:MI') < TO_CHAR(cr.cas_do,'HH24:MI'))
        OR (TO_CHAR(k.skut_hod_do,'HH24:MI') > TO_CHAR(cr.cas_od,'HH24:MI')
                AND TO_CHAR(k.skut_hod_do,'HH24:MI') <= TO_CHAR(cr.cas_do,'HH24:MI'))
        OR (TO_CHAR(cr.cas_od,'HH24:MI') >= TO_CHAR(k.skut_hod_od,'HH24:MI')
                AND TO_CHAR(cr.cas_od,'HH24:MI') <  TO_CHAR(k.skut_hod_do,'HH24:MI'))
        OR (TO_CHAR(cr.cas_do,'HH24:MI') >  TO_CHAR(k.skut_hod_od,'HH24:MI')
                AND TO_CHAR(cr.cas_do,'HH24:MI') <= TO_CHAR(k.skut_hod_do,'HH24:MI')))
           and  cr.HODINA=:hodina
           and  k.semestr = c.semestr
           and  l.rv_domain='DEN'
      )
order  by nlssort(a.prijmeni, 'NLS_SORT = XCzech'), nlssort(a.jmeno, 'NLS_SORT = XCzech')