select
  DECODE(:lang, 'cs', o.CZ_NAZEV, 'sk', o.CZ_NAZEV, NVL(o.AN_NAZEV, o.CZ_NAZEV)) AS nazev,
  DECODE(:lang, 'cs', cf.RV_MEANING, 'sk', cf.RV_MEANING, NVL(cf.ENGLISH, cf.RV_MEANING)) AS fakulta,
  DECODE(:lang, 'cs', o.CZ_ANOTACE, 'sk', o.CZ_ANOTACE, NVL(o.AN_ANOTACE, o.CZ_ANOTACE)) AS anotace,
  DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
  DECODE(:lang, 'cs', o.profil_cz, 'sk', o.profil_cz, NVL(o.profil, o.profil_cz)) AS profil,
  sp.forma as fk_forma,
  sp.typ as fk_typ,
  o.cisoboru,
  o.cisspec,
  o.platny_od,
  o.neplatny_od,
  o.oboridno as pk_oboridno,
  o.FAKULTA_OBORU as fk_fakulta,
  o.LIMIT_CRD_OBOR as limit_kreditu,
  o.POCET_ETAP,
  o.MAX_DELKA,
  o.STAND_DELKA,
  o.STPRIDNO,
  o.ZKRATKA,
  sp.CELOZIVOTNI_VZDELAVANI,
  sp.KODSP_I

from
  obory o,
  cg_ref_codes cfo,
  cg_ref_codes cto,
  studijni_programy sp,
  cg_ref_codes cf
where
  o.OBORIDNO = :idno
  and  cfo.rv_domain = 'FORMA_OBORU_NEW'
  and  sp.forma = cfo.rv_low_value
  and  cto.rv_domain = 'TYP_OBORU'
  and  sp.typ = cto.rv_low_value
  and  o.stpridno=sp.stpridno
  and  cf.rv_domain = 'FAKULTA'
  and  o.FAKULTA_OBORU = cf.RV_LOW_VALUE