select
  DECODE(:lang, 'cs', o.CZ_NAZEV, 'sk', o.CZ_NAZEV, NVL(o.AN_NAZEV, o.CZ_NAZEV)) AS nazev,
  DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
  sp.forma as fk_forma,
  sp.typ as fk_typ,
  sp.CELOZIVOTNI_VZDELAVANI,
  o.cisoboru,
  o.cisspec,
  o.platny_od,
  o.neplatny_od,
  o.oboridno as pk_oboridno,
  o.FAKULTA_OBORU as fk_fakulta,
  o.CZ_ANOTACE anotace,
  o.LIMIT_CRD_OBOR limit_kreditu,
  o.POCET_ETAP,
  o.MAX_DELKA,
  o.STAND_DELKA,
  o.STPRIDNO,
  o.ZKRATKA
from
  obory o,
  cg_ref_codes cfo,
  cg_ref_codes cto,
  studijni_programy sp
where
  sp.stpridno = :stpridno
  and  cfo.rv_domain = 'FORMA_OBORU_NEW'
  and  sp.forma = cfo.rv_low_value
  and  cto.rv_domain = 'TYP_OBORU'
  and  sp.typ = cto.rv_low_value
  and  o.stpridno=sp.stpridno
  and  ((nvl(o.neplatny_od,'2050')> :rok) and (nvl(o.platny_od,'1970')<=:rok))
order  by
    cisoboru,
    cisspec,
    DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
    DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)),
    DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))