select
	p.PRAC_ZKR||'/'||p.ZKR_PREDM as zkratka,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu,
	DECODE(:lang, 'cs', cg_garant.RV_MEANING, 'sk', cg_garant.RV_MEANING, NVL(cg_garant.ENGLISH, cg_garant.RV_MEANING)) AS garant,
	DECODE(:lang, 'cs', cg_prednasejici.RV_MEANING, 'sk', cg_prednasejici.RV_MEANING, NVL(cg_prednasejici.ENGLISH, cg_prednasejici.RV_MEANING)) AS prednasejici,
	DECODE(:lang, 'cs', cg_cvicici.RV_MEANING, 'sk', cg_cvicici.RV_MEANING, NVL(cg_cvicici.ENGLISH, cg_cvicici.RV_MEANING)) AS cvicici,
	DECODE(:lang, 'cs', cg_seminarici.RV_MEANING, 'sk', cg_seminarici.RV_MEANING, NVL(cg_seminarici.ENGLISH, cg_seminarici.RV_MEANING)) AS seminarici,
	cg_garant.RV_LOW_VALUE AS fk_garant,
	cg_prednasejici.RV_LOW_VALUE AS fk_prednasejici,
	cg_cvicici.RV_DOMAIN AS fk_cvicici,
	cg_seminarici.RV_LOW_VALUE AS fk_seminarici,
	p.prac_zkr as pk_prac_zkr,
	p.zkr_predm as pk_zkr_predm,
	p.rok_varianty AS pk_rok_varianty,
	p.rok_varianty||'/'||to_char(to_date(p.rok_varianty+1,'RRRR'),'RR') as rok_komplet,
	p.vyuka_ls,
	p.vyuka_zs
from
	ucitele_predmetu up,
	pred_varianty p,
	cg_ref_codes cg_garant ,
	cg_ref_codes cg_prednasejici,
	cg_ref_codes cg_cvicici,
	cg_ref_codes cg_seminarici
where
	up.UCITIDNO = :ucitidno
	and up.ROK_VARIANTY like :rok
	and p.ZKR_PREDM = up.ZKR_PREDM
	and p.PRAC_ZKR = up.PRAC_ZKR
	and p.ROK_VARIANTY = up.ROK_VARIANTY
	and cg_garant.RV_DOMAIN = 'ANO_NE'
	and cg_garant.RV_LOW_VALUE = up.GARANT
	and cg_prednasejici.RV_DOMAIN = 'ANO_NE'
	and cg_prednasejici.RV_LOW_VALUE = up.prednasejici
	and cg_cvicici.RV_DOMAIN = 'ANO_NE'
	and cg_cvicici.RV_LOW_VALUE = up.cvicici
	and cg_seminarici.RV_DOMAIN = 'ANO_NE'
	and cg_seminarici.RV_LOW_VALUE = up.seminarici

order by
	pk_rok_varianty,
	nazev_predmetu