select
  DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS nazev,
  DECODE(:lang, 'cs', cf.RV_MEANING, 'sk', cf.RV_MEANING, NVL(cf.ENGLISH, cf.RV_MEANING)) AS fakulta,
  DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
  DECODE(:lang, 'cs', ct.RV_MEANING, 'sk', ct.RV_MEANING, NVL(ct.ENGLISH, ct.RV_MEANING)) AS titul,
  sp.FAKULTA_SP as fk_fakulta,
  sp.TYP as fk_typ,
  sp.FORMA as fk_forma,
  sp.STAND_DELKA, sp.MAX_DELKA,
  sp.TITUL as fk_titul,
  ct.RV_ABBREVIATION as titul_zrk,
  sp.LIMIT_CRD as limit_kreditu,
  sp.VYKAZOVAN,
  sp.CELOZIVOTNI_VZDELAVANI,
  sp.PLATNY_OD,
  sp.NEPLATNY_OD,
  DECODE(:lang, 'cs', sp.CZ_CILE, 'sk', sp.CZ_CILE, NVL(sp.AN_CILE, sp.CZ_CILE)) AS cile,
  kodsp_i as pk_kodsp_i

from
  studijni_programy sp,
  cg_ref_codes cob,
  cg_ref_codes cfo,
  cg_ref_codes ct,
  cg_ref_codes cf

where
  sp.STPRIDNO = :idno
  and  cob.rv_domain = 'TYP_OBORU'
  and  sp.typ = cob.rv_low_value
  and  cfo.rv_domain = 'FORMA_OBORU_NEW'
  and  sp.forma = cfo.rv_low_value
  and  ct.rv_domain = 'TITUL'
  and  sp.TITUL = ct.RV_LOW_VALUE
  and  cf.rv_domain = 'FAKULTA'
  and  sp.FAKULTA_SP = cf.RV_LOW_VALUE