select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
distinct
        u.JMENO,
        u.PRIJMENI,
        u.TELEFON,
        u.EMAIL,
        u.URL,
        u.PRAC_ZKR,
        DECODE(:lang, 'cs', p1.NAZEV, 'sk', p1.NAZEV, NVL(p1.an_nazev, p1.NAZEV)) AS nazev,
        fn_vsechna_prac(u.ucitidno) dalsi_prac,
        DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
        DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
        DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
        p1.nad_prac_zkr AS nad_prac_zkr,
        DECODE(:lang, 'cs', p2.NAZEV, 'sk', p2.NAZEV, NVL(p2.an_nazev, p2.NAZEV)) AS nad_prac_nazev,
        u.ucitidno
FROM
        ucitele u,
        cg_ref_codes c1,
        cg_ref_codes c2,
        CIS_PRACOVIST p1,
        cis_pracovist p2
WHERE
@IF(0) u.ucitidno = :ucitidno and
        --upper(u.prijmeni) like nvl(upper(.prijmeni),'%')
        --translate(nls_upper(u.prijmeni,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.prijmeni,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
        FN_CS_TO_UPPER_ASC(u.prijmeni) LIKE FN_CS_TO_UPPER_ASC(:prijmeni)
        --and upper(u.jmeno) like nvl(upper(.jmeno),'%')
        --and translate(nls_upper(u.jmeno,'NLS_SORT = XCzech'),'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.jmeno,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
        and FN_CS_TO_UPPER_ASC(u.jmeno) LIKE FN_CS_TO_UPPER_ASC(:jmeno)
        --and ((u.prac_zkr like nvl(upper(.prac),'%')) or
        --(u.ucitidno in (select ucitidno from zamestnanci z where z.PRAC_ZKR like nvl(upper(.prac),'%'))))
        --and ((translate(u.prac_zkr,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.prac,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')) or
         --(u.ucitidno in (select ucitidno from zamestnanci z where translate(z.prac_zkr,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.prac,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%'))))
         and ((FN_CS_TO_UPPER_ASC(u.prac_zkr) LIKE FN_CS_TO_UPPER_ASC(:prac)) or
         (u.ucitidno in (select ucitidno from zamestnanci z where FN_CS_TO_UPPER_ASC(z.prac_zkr) LIKE FN_CS_TO_UPPER_ASC(:prac))))
        and u.PLATNOST like nvl(:platnost,'A')
        AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
        AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
        AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
        AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
        AND p1.ZKR(+) = u.PRAC_ZKR
        AND p2.ZKR(+) = p1.NAD_PRAC_ZKR
        order by 2,1) x
where rownum <= nvl(:do,51)) y
where y.poradi >= nvl(:od,0)