select
  distinct
  pv.zkr_predm,
  pv.prac_zkr,
  pv.cz_nazev,
  pv.an_nazev,
  pv.vicezapis,
  pv.TYP_ZK,
  pv.VYUKA_ZS,
  pv.VYUKA_LS,
  pv.CRD as kredity,
  nvl(to_char(bp.DOPORSEM),'X') as semestr,
  nvl(to_char(bp.DOPORROC),'X') as rocnik,
  bp.BLOKIDNO,
  spl.STPLIDNO,
  b.STATUT,
  bp.ROK_VARIANTY
from

  studijni_plany spl,
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss,
  bloky b,
  bloky_predm bp,
  pred_varianty pv
where
  spl.stplidno = :stplidno
  and ps.STPLIDNO = spl.STPLIDNO
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO
  and b.SESPIDNO = sp.SESPIDNO
  and bp.BLOKIDNO = b.BLOKIDNO
  and pv.prac_zkr = bp.prac_zkr
  and pv.zkr_predm = bp.zkr_predm
  and pv.rok_varianty = bp.rok_varianty
 ORDER BY DECODE (rocnik, 'X', '99', rocnik),
         DECODE (semestr, 'ZS', '1', 'LS', '2', '3'),
         statut, prac_zkr, zkr_predm, blokidno
