select
  m.zkr_budovy,
  m.cislo_mist,
  decode(spol_fond, 'A', '*') SPOL_FOND,
  m.prac_zkr, (select fn_meaning2(m.typ,'TYP_UCEB') from dual) typ, m.kapacita
from
  mistnosti m,
  budovy bu
where
  m.typ like :typ
  and  m.kapacita >= nvl(:kapacita,0)
  and  bu.zkr_budovy like :budova
  and  nvl(bu.lokalita,'%') like :lokalita
  and  m.zkr_budovy like bu.zkr_budovy
  and  not exists (
       select
        roakidno,
        jedaidno,
        termidno
         from
          casoprostor c,
          kalendar k,
          casove_rady r1,
          casove_rady r2,
          cg_ref_codes d
        where  d.rv_domain = 'DEN'
          and  d.poradi = :den
          and  d.rv_low_value = k.rozvrh_den
          and  k.typ_rozvrh_dne = :semestr
          and  k.typ_tydne like :tyden
          and  k.datum = c.datum
          and  r1.kod = :cas_rada
          and  r1.hodina = :hod_od
          and  r2.kod = :cas_rada
          and  r2.hodina = :hod_do
          and  c.zkr_budovy = m.zkr_budovy
          and  c.cislo_mist = m.cislo_mist
          and  c.rok_platnosti = :rok
@IF(0)    and  c.obsadil != 'J'
          and  not (( to_char(r1.cas_od,'HH24:MI') >= to_char(c.skut_hod_od,'HH24:MI')
                        and to_char(r1.cas_od,'HH24:MI') >= to_char(c.skut_hod_do,'HH24:MI'))
                        or( to_char(r2.cas_do,'HH24:MI') <= to_char(c.skut_hod_od,'HH24:MI'))
                        and to_char(r2.cas_do,'HH24:MI') <= to_char(c.skut_hod_do,'HH24:MI')))
order  by m.zkr_budovy, m.cislo_mist
/*
select
  m.zkr_budovy,
  m.cislo_mist,
  decode(spol_fond, 'A', '*') SPOL_FOND,
  m.prac_zkr, (select fn_meaning2(m.typ,'TYP_UCEB') from dual) typ, m.kapacita
from
  mistnosti m,
  inventar_mistnosti i
where
  m.typ like :typ
  and  m.kapacita >= nvl(:kapacita,0)
  and  m.zkr_budovy = :budova
  and  m.zkr_budovy||m.cislo_mist = i.zkr_budovy(+)||i.cislo_mist(+)
  and  not exists (
       select
        roakidno,
        jedaidno,
        termidno
         from
          casoprostor c,
          kalendar k,
          casove_rady r1,
          casove_rady r2,
          cg_ref_codes d
        where  d.rv_domain = 'DEN'
          and  d.poradi = :den
          and  d.rv_low_value = k.rozvrh_den
          and  k.typ_rozvrh_dne = :semestr
          and  k.typ_tydne like :tyden
          and  k.datum = c.datum
          and  r1.kod = :cas_rada
          and  r1.hodina = :hod_od
          and  r2.kod = :cas_rada
          and  r2.hodina = :hod_doo
          and  c.zkr_budovy = m.zkr_budovy
          and  c.cislo_mist = m.cislo_mist
          and  c.rok_platnosti = :rok
@IF(0)    and  c.obsadil != 'J'
          and  not (( r1.cas_od >= c.skut_hod_od
              and r1.cas_od >= c.skut_hod_do)
                              or ( r2.cas_do <= c.skut_hod_od
              and r2.cas_do <= c.skut_hod_do))
                  )
order  by m.zkr_budovy, m.cislo_mist
*/