select count(*) from (
select DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
        ra.PRAC_ZKR as fk_prac_zkr,
        ra.ZKR_PREDM as fk_zkr_predm,
        ra.ROK_VARIANTY as fk_rok_varianty,
        ra.CISLO_MIST as fk_cislo_mist,
        ra.ZKR_BUDOVY as fk_zkr_budovy,
        ra.PLAN,
        ra.OBSAZENI,
        ra.TYPAKCE as zkr_typakce,
        ra.SEMESTR,
        ra.PLATNOST,
        ra.HOD_VYUC_OD,
        ra.HOD_VYUC_DO,
        to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
        to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
        ra.TYDEN_OD,
        ra.TYDEN_DO,
        ra.TYDEN as zkr_tyden,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.den,'DEN') from dual), 'sk', (select fn_meaning(ra.den,'DEN')  from dual),
        NVL((select fn_meaning_en(ra.den,'DEN')  from dual), (select fn_meaning(ra.den,'DEN') from dual))) AS den,
        ra.roakidno,
        ra.GRUPIDNO,
        ra.JE_NADRAZENA,
        FN_GET_UCITELE_RA(ra.roakidno,'P') as vsichni_ucitele_ra,
        (select c1.poradi from cg_ref_codes c1 where c1.rv_domain='DEN' and c1.rv_low_value=ra.den) as pora
from    rozvrh_akce ra,
        pred_varianty pv,
        ucitele uc
where
  pv.ZKR_PREDM = ra.ZKR_PREDM
  and pv.PRAC_ZKR = ra.PRAC_ZKR
  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
  and ra.PRAC_ZKR  like nvl(upper(:PRAC_ZKR) ,'%')
  and ra.ZKR_PREDM like nvl(upper(:ZKR_PREDM),'%')
  and ra.semestr like nvl(:semestr,'%')
  and ra.TYPAKCE like nvl(:TYPAKCE,'%')
  and ra.rok_platnosti = :ak_rok
  and decode(nvl(:ucitel,'%'),'%',nvl(upper(uc.prijmeni),'%'),upper(uc.prijmeni)) like upper(nvl(:ucitel,'%'))
  and ra.UCITIDNO = uc.ucitidno(+)
  and nvl(ra.den,'%') like nvl(:den,'%')
  and nvl(upper(ra.ZKR_BUDOVY)||ra.CISLO_MIST,'%') like nvl(upper(:mistnost),'%')
  and pv.ROK_VARIANTY like nvl(:ak_rok,'%')
  and nvl(ra.HOD_VYUC_OD,0) >= nvl(:hod_od,0)
  and nvl(ra.HOD_VYUC_DO,99) <= nvl(:hod_do,99)
  and nvl(:cas_od,'00:00') <= to_char(ra.SKUT_HOD_OD,'HH24:MI')
  and nvl(:cas_do,'24:00') >= to_char(ra.SKUT_HOD_DO,'HH24:MI')
  and ra.PLATNOST like nvl(:platnost,'%')
  and ra.tyden like nvl(:typ_tydne,'%')
  and nvl(ra.TYDEN_OD,1) between nvl(:tyden_od_od,1) and nvl(:tyden_od_do,53)
  and nvl(ra.TYDEN_DO,1) between nvl(:tyden_do_od,1) and nvl(:tyden_do_do,53)
  and nvl(ra.PLAN,0) between nvl(:plan_od,0) and nvl(:plan_do,999)
  and ra.OBSAZENI between nvl(:obsazeni_od,0) and nvl(:obsazeni_do,999)
  and ra.owner like nvl(:rozvrhar,'%')
  and upper(nvl(ra.POZNAMKA,'%')) like upper(nvl(:poznamka,'%'))
  and upper(nvl(ra.KONTAKT,'%')) like upper(nvl(:kontakt,'%'))
  and nvl(to_char(ra.GRUPIDNO),'%') like nvl(:grupa,'%')
 union
 select
        DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
        ra.PRAC_ZKR as fk_prac_zkr,
        ra.ZKR_PREDM as fk_zkr_predm,
        ra.ROK_VARIANTY as fk_rok_varianty,
        ra.CISLO_MIST as fk_cislo_mist,
        ra.ZKR_BUDOVY as fk_zkr_budovy,
        ra.PLAN,
        ra.OBSAZENI,
        ra.TYPAKCE as zkr_typakce,
        ra.SEMESTR,
        ra.PLATNOST,
        ra.HOD_VYUC_OD,
        ra.HOD_VYUC_DO,
        to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
        to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
        ra.TYDEN_OD,
        ra.TYDEN_DO,
        ra.TYDEN as zkr_tyden,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.den,'DEN') from dual), 'sk', (select fn_meaning(ra.den,'DEN')  from dual),
        NVL((select fn_meaning_en(ra.den,'DEN')  from dual), (select fn_meaning(ra.den,'DEN') from dual))) AS den,
        ra.roakidno,
        ra.GRUPIDNO,
        ra.JE_NADRAZENA,
        FN_GET_UCITELE_RA(ra.roakidno,'P') as vsichni_ucitele_ra,
        (select c1.poradi from cg_ref_codes c1 where c1.rv_domain='DEN' and c1.rv_low_value=ra.den) as pora
 from    rozvrh_akce ra,
        pred_varianty pv,
        ucitele uc,
        uc_rozvrhove_akce ura
 where pv.ZKR_PREDM = ra.ZKR_PREDM
  and pv.PRAC_ZKR = ra.PRAC_ZKR
  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
  and ra.PRAC_ZKR  like nvl(upper(:PRAC_ZKR) ,'%')
  and ra.ZKR_PREDM like nvl(upper(:ZKR_PREDM),'%')
  and ra.semestr like nvl(:semestr,'%')
  and ra.TYPAKCE like nvl(:TYPAKCE,'%')
  and ra.rok_platnosti = :ak_rok
  and decode(nvl(:ucitel,'%'),'%',nvl(upper(uc.prijmeni),'%'),upper(uc.prijmeni)) like upper(nvl(:ucitel,'%'))
  and ra.roakidno=ura.roakidno(+)
  and ura.ucitidno=uc.ucitidno(+)
  and nvl(ra.den,'%') like nvl(:den,'%')
  and nvl(upper(ra.ZKR_BUDOVY)||ra.CISLO_MIST,'%') like nvl(upper(:mistnost),'%')
  and pv.ROK_VARIANTY like nvl(:ak_rok,'%')
  and nvl(ra.HOD_VYUC_OD,0) >= nvl(:hod_od,0)
  and nvl(ra.HOD_VYUC_DO,99) <= nvl(:hod_do,99)
  and nvl(:cas_od,'00:00') <= to_char(ra.SKUT_HOD_OD,'HH24:MI')
  and nvl(:cas_do,'24:00') >= to_char(ra.SKUT_HOD_DO,'HH24:MI')
  and ra.PLATNOST like nvl(:platnost,'%')
  and ra.tyden like nvl(:typ_tydne,'%')
  and nvl(ra.TYDEN_OD,1) between nvl(:tyden_od_od,1) and nvl(:tyden_od_do,53)
  and nvl(ra.TYDEN_DO,1) between nvl(:tyden_do_od,1) and nvl(:tyden_do_do,53)
  and nvl(ra.PLAN,0) between nvl(:plan_od,0) and nvl(:plan_do,999)
  and ra.OBSAZENI between nvl(:obsazeni_od,0) and nvl(:obsazeni_do,999)
  and ra.owner like nvl(:rozvrhar,'%')
  and upper(nvl(ra.POZNAMKA,'%')) like upper(nvl(:poznamka,'%'))
  and upper(nvl(ra.KONTAKT,'%')) like upper(nvl(:kontakt,'%'))
  and nvl(to_char(ra.GRUPIDNO),'%') like nvl(:grupa,'%')
  )
