select
  ra.*,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_od,
  (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_do,
  null as datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv
where
       za.roakidno = ra.roakidno
  and  za.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.prac_zkr = :pracZkr
  and  ra.zkr_predm = :zkrPredm
  and  ra.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
  and  ra.platnost <> 'Z'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
order by ra.semestr desc, ra.prac_zkr, ra.zkr_predm, ra.skut_hod_od
