select
ra.ROAKIDNO as  roakidno1,
  'Z' as druh_akce,
  'A' as zapsana,
  'N' as menena,
   svp.SVPRIDNO as svpridno,
  null as rastidno,
  ra.*,
  ra.prac_zkr as katedra,
  ra.zkr_predm as predmet,
  ra.skut_hod_od as skut_hod_od1,
  ra.tyden_od as tyden_od1,
  ra.semestr as ra_semestr,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  null as datum,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  studentem_vybrane_predmety svp
where
  za.roakidno = ra.roakidno
  and  za.os_cislo = :osCislo
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = '2010'
  and  ra.semestr = :semestr
  and  ra.platnost ='A'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and svp.OS_CISLO(+) = :osCislo
  and  svp.PRAC_ZKR(+) = pv.PRAC_ZKR
  and svp.ZKR_PREDM(+) = pv.ZKR_PREDM
  and svp.ROK_VARIANTY(+) = pv.ROK_VARIANTY
  and svp.SEMESTR(+) = :semestr

  and fn_ra_pristupna_zapsana(ra.ROAKIDNO,za.OS_CISLO) = 'A'
union
select
ra.ROAKIDNO as roakidno1,
  'V' as druh_akce,
  fn_ma_zapis(svp.os_cislo,svp.rok_platnosti,ra.roakidno) zapsana,
  nvl((select 'A' from studentem_vybrane_ra svr where svr.roakidno=ra.roakidno and svp.svpridno=svr.svpridno),'N') menena,
  svp.SVPRIDNO as svpridno,
  (select rastidno from studentem_vybrane_ra svr where svr.roakidno=ra.roakidno and svp.svpridno=svr.svpridno) as rastidno,
  ra.*,
  ra.prac_zkr as katedra,
  ra.zkr_predm as predmet,
  ra.skut_hod_od as skut_hod_od1,
  ra.tyden_od as tyden_od1,
  ra.semestr as ra_semestr,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  null as datum,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn
from
  studentem_vybrane_predmety svp,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv

where
  svp.os_cislo = :osCislo
  and svp.rok_platnosti = :rok
  and svp.semestr= :semestr
  and  svp.prac_zkr = ra.prac_zkr
  and  svp.zkr_predm = ra.zkr_predm
  and  svp.rok_platnosti = ra.rok_platnosti
  and  svp.semestr=ra.semestr
  and  ra.platnost ='A'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_platnosti
  and fn_ra_pristupna_zapsana(ra.ROAKIDNO,svp.OS_CISLO) = 'A'
--order by katedra, predmet, skut_hod_od1, tyden_od1,druh_akce desc
@IF(0)union
@IF(0)select
@IF(0)ra.ROAKIDNO as  roakidno1,
@IF(0)  'K' as druh_akce,
@IF(0)  fn_ma_zapis(:osCislo,ra.rok_platnosti,ra.roakidno) zapsana,
@IF(0)  'N' as menena,
@IF(0)   null as svpridno,
@IF(0)  null as rastidno,
@IF(0)  ra.*,
@IF(0)  ra.prac_zkr as katedra,
@IF(0)  ra.zkr_predm as predmet,
@IF(0)  ra.skut_hod_od as skut_hod_od1,
@IF(0)  ra.tyden_od as tyden_od1,
@IF(0)  ra.semestr as ra_semestr,
@IF(0)  u.ucitidno as ucitel_ucitidno,
@IF(0)  u.jmeno as ucitel_jmeno,
@IF(0)  u.prijmeni as ucitel_prijmeni,
@IF(0)  u.titul_pred as ucitel_titul_pred,
@IF(0)  u.titul_za as ucitel_titul_za,
@IF(0)  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
@IF(0)  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
@IF(0)  null as datum,
@IF(0)  pv.cz_nazev nazevPredmetuCs,
@IF(0)  pv.an_nazev nazevPredmetuEn
@IF(0)from
@IF(0)  krouzek_akce ka,
@IF(0)  rozvrh_akce ra,
@IF(0)  ucitele u,
@IF(0)  pred_varianty pv
@IF(0)where
@IF(0)       ka.kod = :kod
@IF(0)  and  ka.roakidno = ra.roakidno
@IF(0)  and  ka.rok_platnosti = :rok
@IF(0)  and  ra.rok_platnosti = ka.rok_platnosti
@IF(0)  and  ra.semestr = :semestr
@IF(0)  and  ra.platnost ='A'
@IF(0)  and  ra.ucitidno = u.ucitidno(+)
@IF(0)  and  pv.prac_zkr = ra.prac_zkr
@IF(0)  and  pv.zkr_predm = ra.zkr_predm
@IF(0)  and  pv.rok_varianty = ra.rok_varianty

order by roakidno1
