select
  uc_roakce.priorita priorita,
  ra.semestr,
  ra.roakidno,
  ra.prac_zkr,
  ra.zkr_predm,
  ra.rok_varianty,
  ra.rok_platnosti,
  ra.casova_rada,
  ra.den,
  ra.hod_vyuc_od,
  ra.hod_vyuc_do,
  ra.hod_od,
  ra.hod_do,
  ra.skut_hod_od,
  ra.skut_hod_do,
  ra.tyden,
  ra.tyden_od,
  ra.tyden_do,
  ra.zkr_budovy,
  ra.cislo_mist,
  ra.grupidno,
  ra.je_nadrazena,
  ra.ma_nadrazenou,
  ra.plan,
  ra.obsazeni,
  ra.kontakt,
  ra.poznamka,
  ra.url,
  ra.vyuc_jazyk,
  ra.platnost,
  ra.typakce,
  m.KAPACITA kapacita_mist,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and kal.cislo_tydne >= ra.tyden_od and kal.cislo_tydne <= ra.tyden_do and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  null as datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
@IF(1)    (select count(*) from rozvrh_akce ra1
@IF(1)        where ra1.prac_zkr=ra.prac_zkr and ra.zkr_predm=ra1.zkr_predm and ra.rok_varianty=ra1.rok_varianty and ra.semestr=ra1.semestr and ra.typakce=ra1.typakce
@IF(1)            and ra.roakidno!=ra1.roakidno and ra1.platnost='A' and ra1.zkr_budovy is not null and(ra.grupidno!=ra1.grupidno or ra1.grupidno is null)
@IF(1)            and (select nvl(pg_cti_parametry.CTI_RETEZEC_KAT('ZAPISY_BURZA_POVOLENI', ra.prac_zkr), 'N') from dual) = 'A'
@IF(1)            and :semestr != nvl(pg_cti_parametry.cti_retezec_oc('NEPOVOLIT_PREDZAPIS',:osCislo), 'XX')
@IF(1)    ) as pocet_jinych
@IFNOT(1) -1 as pocet_jinych

from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  mistnosti m,
  (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
   union
   select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
where
       za.roakidno = ra.roakidno
  and  za.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
@IFNOT(0)  and  ra.platnost <> 'Z'
  and  uc_roakce.roakidno(+) = ra.roakidno
  and  uc_roakce.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and  m.ZKR_BUDOVY(+) = ra.zkr_budovy
  and  m.cislo_mist(+) = ra.cislo_mist
union all
select
  2 priorita,
  z.semestr semestr,
  null roakidno,
  pv.prac_zkr,
  pv.zkr_predm,
  pv.rok_varianty rok_varianty,
  pv.rok_varianty rok_platnosti,
  null casova_rada,
  null den,
  null hod_vyuc_od,
  null hod_vyuc_do,
  null hod_od,
  null hod_do,
  null skut_hod_od,
  null skut_hod_do,
  null tyden,
  null tyden_od,
  null tyden_do,
  null zkr_budovy,
  null cislo_mist,
  null grupidno,
  null je_nadrazena,
  null ma_nadrazenou,
  null plan,
  null obsazeni,
  null kontakt,
  null poznamka,
  null url,
  null vyuc_jazyk,
  null platnost,
  null typakce,
  null kapacita_mist,
  null as ucitel_ucitidno,
  null as ucitel_jmeno,
  null as ucitel_prijmeni,
  null as ucitel_titul_pred,
  null as ucitel_titul_za,
  null as datum_od,
  null as datum_do,
  null as datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
  -1 as pocet_jinych
from
  znamky z,
  pred_varianty pv
where
      z.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
  and z.rok_platnosti = :rok
  and z.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
  and z.uznano = 'N'
  and pv.PRAC_ZKR = z.prac_zkr
  and pv.ZKR_PREDM = z.zkr_predm
  and pv.ROK_VARIANTY = z.rok_varianty
  and not exists
    (
        select  b.roakidno
          from  zapisy b
         where  z.prac_zkr = b.prac_zkr
           and  z.zkr_predm = b.zkr_predm
           and  z.rok_varianty = b.rok_varianty
           and  z.semestr = b.semestr
           and  z.rok_platnosti = b.rok_platnosti
           and  z.os_cislo = b.os_cislo
    )
order by 2 desc, 4, 5, 3, 1, 17
