select
  ra.*,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  null as datum_od,
  null as datum_do,
  kal.datum datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn
from
  rozvrh_akce ra,
  ucitele u,
  kalendar kal,
  zapisy za,
  pred_varianty pv,
  (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
   union
   select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
where
       za.os_cislo = :os_cislo
  and  za.roakidno = ra.roakidno
  and  trunc(kal.datum) between :datumOd AND :datumDo
  and  kal.rok_platnosti = ra.rok_platnosti
  and  kal.CISLO_TYDNE >= ra.tyden_od
  and  kal.CISLO_TYDNE <= ra.tyden_do
  and  (ra.tyden = 'K' OR ra.tyden = 'J' or ra.tyden = kal.TYP_TYDNE)
  and  ra.den = kal.ROZVRH_DEN
  and  za.rok_platnosti = ra.rok_platnosti
  and  ra.platnost <> 'Z'
  and  uc_roakce.roakidno(+) = ra.roakidno
  and  uc_roakce.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
order by
  datum,
  ra.SKUT_HOD_OD,
  ra.roakidno,
  uc_roakce.priorita