select
  ra.*,
  m.KAPACITA kapacita_mist,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_od,
  (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_do,
  null as datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn
from
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  mistnosti m,
  (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
   union
   select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
where
       ra.roakidno = :roakIdno
  and  uc_roakce.roakidno(+) = ra.roakidno
  and  uc_roakce.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and  m.ZKR_BUDOVY(+) = ra.zkr_budovy
  and  m.cislo_mist(+) = ra.cislo_mist
order by
  uc_roakce.priorita