select
	DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
	ra.CISLO_MIST as fk_cislo_mist,
	ra.ZKR_BUDOVY as fk_zkr_budovy,
	ra.PLAN, ra.OBSAZENI,
	ra.DEN,
	ra.HOD_VYUC_OD,
	ra.HOD_VYUC_DO,
	ra.skut_hod_od as HOD_SKUT_OD,
	ra.skut_hod_do as HOD_SKUT_DO,
	DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce,
	ra.TYDEN as zkr_tyden,
	DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden,
	DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) AS den,
	ra.ROAKIDNO as pk_ROAKIDNO,
        ra.UCITIDNO,
        FN_GET_UCITEL(ra.UCITIDNO) as ucitel

 from
	rozvrh_akce ra,
	pred_varianty pv,
	mistnosti m,
	cg_ref_codes c1,
	cg_ref_codes c2,
	cg_ref_codes c3

where
	pv.ZKR_PREDM = ra.ZKR_PREDM
	and pv.PRAC_ZKR = ra.PRAC_ZKR
	and pv.ROK_VARIANTY = ra.ROK_VARIANTY
	and m.CISLO_MIST = ra.CISLO_MIST
	and m.ZKR_BUDOVY = ra.ZKR_BUDOVY
	and c1.RV_DOMAIN = 'TYP_AKCE'
	and c1.RV_LOW_VALUE = ra.TYPAKCE
	and c2.RV_DOMAIN = 'TYDEN'
	and c2.RV_LOW_VALUE = ra.TYDEN
	and c3.RV_DOMAIN = 'DEN'
	and c3.RV_LOW_VALUE = ra.DEN
        and ra.PRAC_ZKR = upper(:katedra)
        and ra.ZKR_PREDM = upper(:predmet)
        and ra.ROK_VARIANTY =  (:rok)
        and ra.SEMESTR like upper(:semestr)
       and ra.PLATNOST = 'A'
order by
	ra.ROK_PLATNOSTI,
	ra.TYPAKCE,
	c3.Poradi,
	ra.HOD_VYUC_OD