select
	DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
	ra.roakidno as pk_roakidno,
	pv.predz_za as fk_predz_za,
	pv.typ_zk as fk_typ_zk,
	pv.hodnoceni_zk as fk_hodnoceni_zk,
	DECODE(:lang, 'cs',fn_meaning2(pv.typ_zk,'TYP_ZK_NEW') , 'sk', fn_meaning2(pv.typ_zk,'TYP_ZK_NEW'), NVL(fn_meaning_en(pv.typ_zk,'TYP_ZK_NEW'), fn_meaning2(pv.typ_zk,'TYP_ZK_NEW'))) as typ_zk,
	DECODE(:lang, 'cs',fn_meaning2(pv.hodnoceni_zk,'HODNOCENI_ZK') , 'sk', fn_meaning2(pv.hodnoceni_zk,'HODNOCENI_ZK'), NVL(fn_meaning_en(pv.hodnoceni_zk,'HODNOCENI_ZK'), fn_meaning2(pv.hodnoceni_zk,'HODNOCENI_ZK'))) as hodnoceni_zk,
	ra.PRAC_ZKR as fk_prac_zkr,
	ra.ZKR_PREDM as fk_zkr_predm,
	ra.ROK_VARIANTY as fk_rok_varianty,
	ra.CISLO_MIST as fk_cislo_mist,
	ra.ZKR_BUDOVY as fk_zkr_budovy,
	ra.PLAN,
	ra.OBSAZENI,
	ra.TYPAKCE as zkr_typakce,
	ra.SEMESTR,
	ra.PLATNOST,
	ra.DEN as den_zkr,
	ra.HOD_VYUC_OD,
	ra.HOD_VYUC_DO,
    u.ucitidno as ucitidno,
    decode(u.TITUL_PRED, null, null, c4.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||decode(u.TITUL_ZA, null, null,', '||c5.RV_ABBREVIATION) as ucitel,
    u.PRIJMENI||' '||u.JMENO ucitel_pom,
    u.PRIJMENI as ucitel_prijmeni,
	ra.skut_hod_od as HOD_SKUT_OD,
	ra.skut_hod_do as HOD_SKUT_DO,
	DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce,
	ra.TYDEN_OD,
	ra.TYDEN_DO,
	ra.TYDEN as zkr_tyden,
	ra.TYDEN as fk_tyden,
	DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden,
	DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) AS den,
	DECODE(:lang, 'cs',fn_meaning(ra.DEN,'DEN') , 'sk', fn_meaning(ra.DEN,'DEN'), NVL(fn_meaning_en(ra.DEN,'DEN'), fn_meaning(ra.DEN,'DEN'))) as zkr_den,
	ra.GRUPIDNO,
	ra.POZNAMKA,
	ra.kontakt,
    ra.casova_rada,
	nvl(pv.cz_vyuc,'N') as vyuc_jazyk_cz,
    nvl(pv.an_vyuc,'N') as vyuc_jazyk_an,
    pv.j3_vyuc as j3_vyuc_jazyk,
    pv.j4_vyuc as j4_vyuc_jazyk,
    (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_od,
    (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_do,
    'R' as druh_akce,
     ra.owner
from
	rozvrh_akce ra,
	 pred_varianty pv,
	 mistnosti m,
	 cg_ref_codes c1,
	 cg_ref_codes c2,
	 cg_ref_codes c3,
    ucitele u,
    cg_ref_codes c4,
    cg_ref_codes c5,
    (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
     union
     select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
 where
  ra.ROAKIDNO = :roakidno
  and pv.ZKR_PREDM = ra.ZKR_PREDM
  and pv.PRAC_ZKR = ra.PRAC_ZKR
  and pv.ROK_VARIANTY = ra.ROK_VARIANTY
  and m.CISLO_MIST(+) = ra.CISLO_MIST
  and m.ZKR_BUDOVY(+) = ra.ZKR_BUDOVY
  and c1.RV_DOMAIN = 'TYP_AKCE'
  and c1.RV_LOW_VALUE = ra.TYPAKCE
  and c2.RV_DOMAIN(+) = 'TYDEN'
  and c2.RV_LOW_VALUE(+) = ra.TYDEN
  and c3.RV_DOMAIN(+) = 'DEN'
  and c3.RV_LOW_VALUE(+) = ra.DEN
    and  c4.RV_DOMAIN(+) = 'TITUL_PRED'
    and  c4.RV_LOW_VALUE(+) = u.TITUL_PRED
    and  c5.RV_DOMAIN(+) = 'TITUL_ZA'
    and  c5.RV_LOW_VALUE(+) = u.TITUL_ZA
    and  uc_roakce.roakidno(+) = ra.roakidno
    and  uc_roakce.ucitidno = u.ucitidno(+)
order by uc_roakce.priorita
