select
  os.JMENO,
  os.PRIJMENI,
  s.OS_CISLO AS pk_os_cislo,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  decode(os.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||os.JMENO||' '||os.PRIJMENI||
  decode(os.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as student

from
  obory ob,
  studenti s,
  osoby os,
  cg_ref_codes c1,
  cg_ref_codes c2

where
  ob.OBORIDNO = :idno
  and s.STPRIDNO = ob.STPRIDNO
  and os.OSOBIDNO = s.OSOBIDNO
  and s.STAV = 'S'
  and c1.RV_DOMAIN(+) = 'TITUL_PRED'
  and c1.RV_LOW_VALUE(+) = os.TITUL_PRED
  and c2.RV_DOMAIN(+) = 'TITUL_ZA'
  and c2.RV_LOW_VALUE(+) = os.TITUL_ZA
  
order by os.PRIJMENI, os.JMENO
