select
  sp.STPRIDNO as pk_stpridno,
  sp.FAKULTA_SP as fk_fakulta,
  DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS nazev,
  DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma

from
  Studijni_programy sp,
  cg_ref_codes cob,
  cg_ref_codes cfo

where
  sp.KODSP_I = upper(:kodsp_i)
  and ( jen_platne = 1 OR
  (
    nvl(sp.platny_od, '1970' ) <= nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')) and  nvl(sp.neplatny_od, '2099') > nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR'))
  )	)
  and cob.rv_domain = 'TYP_OBORU'
  and  sp.typ = cob.rv_low_value
  and  cfo.rv_domain = 'FORMA_OBORU_NEW'
  and  sp.forma = cfo.rv_low_value

order by 
  DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
	DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)),
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))