select
    p.zkr_predm,
  p.prac_zkr,
  p.cz_nazev,
  p.an_nazev,
  p.vicezapis,
  p.TYP_ZK,
  p.VYUKA_ZS,
  p.VYUKA_LS,
  p.CRD as kredity,
  p.rok_varianty,
  to_char(p.jednotek_pr)||i.pom_hodnota||'+'||to_char(p.jednotek_cv)||j.pom_hodnota||'+'||to_char(p.jednotek_sem)||k.pom_hodnota rozsah,
    nvl2(z.OS_CISLO,1,0) zapsano,
    DECODE(:lang, 'cs', p.CZ_NAZEV, 'sk', p.CZ_NAZEV, NVL(p.AN_NAZEV, p.CZ_NAZEV)) AS nazev,
    FN_GET_STATUT_A_STPLIDNO(:os_cislo,p.prac_zkr,p.zkr_predm,p.rok_varianty,p.rok_varianty) as STATUT,
    l.rv_abbreviation||decode(p.predz_za, 'A', '+', '') typ_zk,
    count(roakidno) AS pocet,
    sum(decode(typakce,'Cv',nvl(plan,9999999999)-r.obsazeni,0)) AS volnocv,
    sum(decode(substrb(r.typakce,0,1),'Př',1,0)) AS pocetpr,
    sum(decode(substrb(r.typakce,0,1),'Př',nvl(r.plan,9999999999)-r.obsazeni,0)) AS volnopr,
    sum(decode(typakce,'Cv',1,0)) AS pocetcv,
    sum(decode(r.typakce,'Se',nvl(r.plan,9999999999)-r.obsazeni,0)) AS volnose,
    sum(decode(r.typakce,'Se',1,0)) AS pocetse,
    kzs.amax zamax,
    kzs.bmax zbmax,
    kzs.cmax zcmax,
    kzs.askut zaskut,
    kzs.bskut zbskut,
    kzs.cskut zcskut,
    kls.amax lamax,
    kls.bmax lbmax,
    kls.cmax lcmax,
    kls.askut laskut,
    kls.bskut lbskut,
    kls.cskut lcskut
from
    pred_varianty p,
    rozvrh_akce r,
    znamky z,
    cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l,
    kapacita kzs,
    kapacita kls
where
    p.prac_zkr like :pracoviste||'%'
    and p.zkr_predm like :zkr_pred||'%'
    and translate(nls_upper(replace(DECODE(:lang,'cs',cz_nazev,'sk',p.cz_nazev, NVL(p.AN_NAZEV,p.CZ_NAZEV)),' ',''),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE '%'||translate(nls_upper(REPLACE(ltrim(rtrim(:nazev)), ' ',''),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')||'%'
    and p.rok_varianty= :rok
    and r.prac_zkr(+)=p.prac_zkr
    and r.zkr_predm(+)=p.zkr_predm
    and r.rok_varianty(+)=p.rok_varianty
    and r.platnost(+)='A'
    and  i.rv_domain = 'JEDNOTKA_VYUKY'
    and  p.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  p.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  p.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  p.typ_zk = l.rv_low_value
    and p.zkr_predm=kzs.zkr_predm(+)
    and p.prac_zkr=kzs.prac_zkr(+)
    and p.rok_varianty=kzs.rok_varianty(+)
    and kzs.semestr(+)='ZS'
    and p.zkr_predm=kls.zkr_predm(+)
    and p.prac_zkr=kls.prac_zkr(+)
    and p.rok_varianty=kls.rok_varianty(+)
    and kls.semestr(+)='LS'
    and z.PRAC_ZKR (+)= p.prac_zkr
    and z.ZKR_PREDM (+)= p.zkr_predm
    /*        --and z.SEMESTR (+) LIKE p.d bp.DOPORSEM||'%' */
    and z.ROK_PLATNOSTI (+) = p.rok_varianty
    and z.ROK_VARIANTY (+)= p.rok_varianty
    and z.OS_CISLO (+)  =  :os_cislo
group by
    p.zkr_predm,
  p.prac_zkr,
  p.cz_nazev,
  p.an_nazev,
  p.vicezapis,
  p.TYP_ZK,
  p.VYUKA_ZS,
  p.VYUKA_LS,
  p.CRD,
  p.rok_varianty,
    DECODE(:lang, 'cs', p.CZ_NAZEV, 'sk', p.CZ_NAZEV, NVL(p.AN_NAZEV, p.CZ_NAZEV)),
    to_char(p.jednotek_pr)||i.pom_hodnota||'+'||to_char(p.jednotek_cv)||j.pom_hodnota||'+'||to_char(p.jednotek_sem)||k.pom_hodnota,l.rv_abbreviation||decode(p.predz_za, 'A', '+', ''),kzs.amax ,kzs.bmax , kzs.cmax , kzs.askut ,kzs.bskut ,kzs.cskut, kls.amax ,kls.bmax , kls.cmax , kls.askut ,kls.bskut ,kls.cskut,nvl2(z.OS_CISLO,1,0),FN_GET_STATUT_A_STPLIDNO(:os_cislo,p.prac_zkr,p.zkr_predm,p.rok_varianty,p.rok_varianty)
order by p.prac_zkr,p.zkr_predm
