select
    BLOKIDNO,
    NAZEV,
    STATUT,
    MIN_KRED,
    MAX_KRED,
    min_pocet_predmetu,
    sum(poc_kred) AS pocet,
    poznamka,
    Count(poc_kred) AS pocet_predmetu
from
    (select
        distinct X.PRAC_ZKR,
        X.ZKR_PREDM,
        X.SEMESTR,
        Y.BLOKIDNO,
        Y.NAZEV,
        Y.STATUT,
        Y.MIN_KRED,
        Y.MAX_KRED,
        y.poznamka,
    Y.min_pocet_predmetu,
        X.POC_KRED
    from
        (select
            z.PRAC_ZKR,
            z.ZKR_PREDM,
            z.ROK_VARIANTY,
            z.POC_KRED,
            z.SEMESTR
        from
            znamky z
        where
            z.OS_CISLO = upper(:os_cislo)
            and z.ROK_PLATNOSTI = :rok
        ) X,
        (select
            bp.BLOKIDNO,
            bp.DOPORSEM,
            bp.PRAC_ZKR,
            bp.ZKR_PREDM,
            bp.ROK_VARIANTY,
            DECODE(:lang,'cs',b.CZ_NAZEV,'sk',b.CZ_NAZEV,NVL(b.AN_NAZEV, b.CZ_NAZEV)) as nazev,
            c1.RV_ABBREVIATION as statut,
            decode(b.minkred,null,'-',b.minkred) min_kred,
            decode(b.max_kred,null,'-',b.MAX_KRED) max_kred,
            decode(b.min_pocet_predmetu,null,'-',b.min_pocet_predmetu) min_pocet_predmetu,
            b.POZNAMKA
        from
            bloky_predm bp,
            bloky b,
            --poradi_segmentu ps,
            cg_ref_codes c1
        where
            --ps.STPLIDNO = :stplidno
            --and ps.SESPIDNO = b.SESPIDNO
            b.SESPIDNO = :sespidno
            and b.BLOKIDNO = bp.BLOKIDNO
            and c1.RV_DOMAIN = 'STATUT'
            and c1.RV_LOW_VALUE = b.STATUT
        ) Y
    where
        X.PRAC_ZKR (+)= Y.PRAC_ZKR
        and X.ZKR_PREDM (+)= Y.ZKR_PREDM
        and X.ROK_VARIANTY (+)= Y.ROK_VARIANTY
    )
group by
    BLOKIDNO,
    NAZEV,
    STATUT,
    MIN_KRED,
    MAX_KRED,
    min_pocet_predmetu,
    poznamka
order by
    STATUT,
    NAZEV