SELECT
    s.jmeno,
    s.prijmeni,
    s.os_cislo,
    s.fakulta_sp AS fakulta,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS obor,
    DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)) AS typ,
    DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)) AS forma,
    p.stpridno AS fk_stpridno,
    MAX(s.rok_platnosti) AS rok

FROM
    vstudenti_na_programu_v_roce s,
    studijni_programy p,
    cg_ref_codes d1,
    cg_ref_codes d2

WHERE 
    s.stpridno = p.stpridno
    AND  p.typ = d1.rv_low_value
    AND  d1.rv_domain = 'TYP_OBORU'
    AND  p.forma = d2.rv_low_value
    AND  d2.rv_domain = 'FORMA_OBORU_NEW'
    AND  (s.stav = 'S' OR s.stav = 'P')
    AND  s.osobidno = :osobidno

GROUP  BY
    s.jmeno,
    s.prijmeni,
    s.os_cislo,
    s.fakulta_sp,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)),
    DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)),
    DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)),
    p.stpridno

ORDER  BY s.os_cislo