SELECT fakulta,
           fk_fakulta,
           program,
           typ,
           forma,
           datum_zapisu,
           datum_ukonceni,
           nvl(typ_ukonceni,'---') typ_ukonceni,
           p_rod_cislo p_rod_cislo,
           p_fakulta p_fakulta,
           p_program p_program,
           p_zapis p_zapis,
           p_os_cislo p_os_cislo,
           mesic_zacatku,
           mesic_konce,
           dnu,
           UKONCENI,
           STAV,
           financovani,
           fk_typ
      FROM
    (
        select CS.rodne_cislo,
               decode(CF.univerzita,NULL,CS.fakulta,CF.univerzita||' - '||CF.FAKULTA) fakulta,
               CS.fakulta as fk_fakulta,
               CS.program,
               TYP.RV_MEANING typ,
               (select fn_meaning2(rtrim(CS.FORMA),'FORMA_OBORU_NEW') from dual) forma,
               to_char(CS.zapis,'DD.MM.RRRR') datum_zapisu,
               nvl(to_char(CS.dat_ukonceni,'DD.MM.RRRR'),'---') datum_ukonceni,
               (select fn_meaning2(rtrim(CS.UKONCENI),'UKONCENI_NEW') from dual) typ_ukonceni,
               CS.zapis datum,
               CS.rodne_cislo p_rod_cislo,
               CS.FAKULTA p_fakulta,
               CS.PROGRAM p_program,
               CS.zapis p_zapis,
               NULL p_OS_CISLO,
               to_number(to_char(CS.ZAC_PLATNOSTI,'RRRR'))*12+to_number(to_char(CS.ZAC_PLATNOSTI,'MM'))- :xmin_mesic mesic_zacatku,
               to_number(to_char(nvl(CS.KON_PLATNOSTI,sysdate),'RRRR'))*12+to_number(to_char(nvl(CS.KON_PLATNOSTI,sysdate),'MM'))- :xmin_mesic mesic_konce,
               nvl(CS.KON_PLATNOSTI,trunc(sysdate))-CS.ZAC_PLATNOSTI dnu,
               CS.UKONCENI,
               CS.STAV,
               CS.financovani,
               CS.typ as fk_typ

          from install2.cis_fakult CF,
               mv_sims_cizi_studia CS,
               cg_ref_codes TYP,
               studenti ST2,
               osoby OS2

 where CS.fakulta = CF.ID(+)
       AND TYP.RV_DOMAIN = 'TYP_OBORU'
       AND TYP.RV_ABBREVIATION = CS.typ(+)
       AND ST2.osobidno = OS2.osobidno
       AND CS.rodne_cislo = OS2.ROD_CISLO
       AND ST2.OS_CISLO = :xcislo
)
 order by p_zapis,
       p_fakulta,
       p_program,
       mesic_zacatku,
       mesic_konce