SELECT distinct
    st.os_cislo,       
    PR.PREDZAPIS_OD AS normal_od,
    PR.PREDZAPIS_DO   AS normal_do,
    PR.KPREDZAPIS_OD  AS krouzkovy_od,
    PR.KPREDZAPIS_DO  AS krouzkovy_do,
    pr.zmena_od,
    pr.zmena_do,
    pr.prohozeni_od,
    pr.prohozeni_do,
    (select pg_cti_parametry.cti_retezec_oc('NEPOVOLIT_PREDZAPIS',ST.os_cislo) from dual) as nepovoleny_semestr

FROM   
    PREDZAPISY PR,
    STUDENTI_V_ROCE SVR,
    STUDENTI ST,
    osoby os

WHERE 
    (st.stav = 'S' OR st.stav = 'P')
    AND (
          (os.rod_cislo = (SELECT o.rod_cislo FROM orion o WHERE o.username = LOWER(:login)))
         OR
          (os.osobidno = ( SELECT osobidno FROM studenti st WHERE st.os_cislo = UPPER (:login)))
        )
    
    AND ST.os_cislo = SVR.os_cislo
    AND PR.skupina_predz(+) = SVR.skupina_predz
    AND SVR.rok_platnosti = fn_rok_predzapisu
    AND os.osobidno = st.osobidno     

ORDER  BY st.os_cislo