select
  distinct
  pv.zkr_predm,
  pv.prac_zkr,
  pv.cz_nazev,
  pv.an_nazev,
  pv.vicezapis,
  pv.typ_zk,
  l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') as typZk,
  pv.VYUKA_ZS,
  pv.VYUKA_LS,
  pv.CRD as kredity,
  nvl(to_char(bp.DOPORSEM),'X') as semestr,
  nvl(to_char(bp.DOPORROC),'X') as rocnik,
  bp.BLOKIDNO,
  spl.STPLIDNO,
  b.STATUT,
  bp.ROK_VARIANTY,
  to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
  fn_predmet_abs(snor.OS_CISLO,pv.prac_zkr,pv.ZKR_PREDM) as absolvoval,
  count(r.roakidno) pocet,
  sum(decode(r.typakce,'Cv',nvl(plan,999)-r.obsazeni,0)) volnocv,
    sum(decode(substrb(r.typakce,0,1),'Př',1,0)) pocetpr,
    sum(decode(substrb(r.typakce,0,1),'Př',nvl(r.plan,999)-r.obsazeni,0)) AS volnopr,
    sum(decode(r.typakce,'Cv',1,0)) pocetcv,
    sum(decode(r.typakce,'Se',nvl(r.plan,999)-r.obsazeni,0)) volnose,
    sum(decode(r.typakce,'Se',1,0)) pocetse,
  kzs.amax zamax,
    kzs.bmax zbmax,
    kzs.cmax zcmax,
    kzs.askut zaskut,
    kzs.bskut zbskut,
    kzs.cskut zcskut,
    kls.amax lamax,
    kls.bmax lbmax,
    kls.cmax lcmax,
    kls.askut laskut,
    kls.bskut lbskut,
    kls.cskut lcskut
from
  obory o,
  studenti_na_oboru_v_roce snor,
  studijni_plany spl,
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss,
  bloky b,
  bloky_predm bp,
  pred_varianty pv,
  rozvrh_akce r,
  kapacita kzs,
    kapacita kls,
     cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l
where
  snor.OS_CISLO = :os_cislo
  and snor.STPLIDNO = spl.STPLIDNO
  and o.OBORIDNO = spl.OBORIDNO
  and spl.ROK_PLATNOSTI = :rok
  and ps.STPLIDNO = spl.STPLIDNO
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO
  and b.SESPIDNO = sp.SESPIDNO
  and bp.BLOKIDNO = b.BLOKIDNO
  and pv.prac_zkr = bp.prac_zkr
  and pv.zkr_predm = bp.zkr_predm
  and pv.rok_varianty = bp.rok_varianty
  and r.PRAC_ZKR(+) = pv.prac_zkr
  and r.ZKR_PREDM(+) = pv.zkr_predm
  and r.rok_varianty(+) = pv.rok_varianty
    /*        --and r.ROK_VARIANTY = '2006' */
    and r.ROK_PLATNOSTI(+) = pv.rok_varianty
  and kzs.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kzs.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kzs.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kzs.SEMESTR (+)= 'ZS'
    and kls.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kls.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kls.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kls.SEMESTR (+)= 'LS'
    and  i.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  pv.typ_zk = l.rv_low_value
group by
  pv.zkr_predm,
  pv.prac_zkr,
  pv.cz_nazev,
  pv.an_nazev,
  pv.vicezapis,
  l.rv_abbreviation||decode(pv.predz_za, 'A', '+', ''),
  pv.VYUKA_ZS,
  pv.VYUKA_LS,
  pv.CRD,
  nvl(to_char(bp.DOPORSEM),'X'),
  nvl(to_char(bp.DOPORROC),'X'),
  bp.BLOKIDNO,
  spl.STPLIDNO,
  b.STATUT,
  bp.ROK_VARIANTY,
  pv.typ_zk,
  to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota,
  fn_predmet_abs(snor.OS_CISLO,pv.prac_zkr,pv.ZKR_PREDM),
  kzs.amax,
    kzs.bmax,
    kzs.cmax,
    kzs.askut,
    kzs.bskut,
    kzs.cskut,
    kls.amax,
    kls.bmax,
    kls.cmax,
    kls.askut,
    kls.bskut,
    kls.cskut
ORDER BY DECODE (rocnik, 'X', '99', rocnik),
         DECODE (semestr, 'ZS', '1', 'LS', '2', '3'),
         statut, prac_zkr, zkr_predm, blokidno
