SELECT
    Vnitrni.Zkratka,
    Vnitrni.Nazev_Predmetu,
    DECODE(:lang, 'cs', CG_Garantujici.RV_Meaning, 'sk', CG_Garantujici.RV_Meaning, NVL(CG_Garantujici.English, CG_Garantujici.RV_Meaning)) AS Garant,   --1
    DECODE(:lang, 'cs', CG_Prednasejici.RV_Meaning, 'sk', CG_Prednasejici.RV_Meaning, NVL(CG_Prednasejici.English, CG_Prednasejici.RV_Meaning)) AS Prednasejici,   -- 2
    DECODE(:lang, 'cs', CG_Cvicici.RV_Meaning, 'sk', CG_Cvicici.RV_Meaning, NVL(CG_Cvicici.English, CG_Cvicici.RV_Meaning)) AS Cvicici,   -- 3
    DECODE(:lang, 'cs', CG_Seminarici.RV_Meaning, 'sk', CG_Seminarici.RV_Meaning, NVL(CG_Seminarici.English, CG_Seminarici.RV_Meaning)) AS Seminarici,   -- 4
    Vnitrni.Garantujici as Garant_flag,Vnitrni.prednasejici as prednasejici_flag,Vnitrni.cvicici as cvicici_flag,Vnitrni.seminarici as seminarici_flag,
    Vnitrni.PK_Prac_Zkr,
    Vnitrni.PK_Zkr_Predm,
    Vnitrni.PK_Rok_Varianty,
    Vnitrni.POZNAMKA,
    Vnitrni.MA_VYUKU,
    (SELECT COUNT(*) FROM ZNAMKY Z WHERE z.PRAC_ZKR = Vnitrni.PK_Prac_Zkr
      AND z.ZKR_PREDM = Vnitrni.PK_Zkr_Predm
      AND z.ROK_VARIANTY = Vnitrni.PK_Rok_Varianty
      AND z.SEMESTR = 'ZS'
      AND z.uznano = 'N') pocet_studentu_zs,
    (SELECT COUNT(*) FROM ZNAMKY Z WHERE z.PRAC_ZKR = Vnitrni.PK_Prac_Zkr
      AND z.ZKR_PREDM = Vnitrni.PK_Zkr_Predm
      AND z.ROK_VARIANTY = Vnitrni.PK_Rok_Varianty
      AND z.SEMESTR = 'LS'
      AND z.uznano = 'N') pocet_studentu_ls
FROM
    CG_Ref_Codes CG_Garantujici,
    CG_Ref_Codes CG_Prednasejici,
    CG_Ref_Codes CG_Cvicici,
    CG_Ref_Codes CG_Seminarici,
    (
        SELECT
            PV.Prac_Zkr || '/' || PV.Zkr_Predm AS Zkratka,
            -- !!! Tady nesmi bejt parametr, protoze driver to vyhodnoti jako jinou promennou od polozky v GROUP BY sekci, i kdyz je to uplne to samy.
            DECODE(:lang, 'cs', PV.CZ_Nazev, 'sk', PV.CZ_Nazev, NVL(PV.AN_Nazev, PV.CZ_Nazev)) AS Nazev_Predmetu,
            DECODE(SUM(Garantujici),0,'N','A') AS Garantujici,
            DECODE(SUM(Prednasejici),0,'N','A') AS Prednasejici,
            DECODE(SUM(Cvicici),0,'N','A') AS Cvicici,
            DECODE(SUM(Seminarici),0,'N','A') AS Seminarici,
            PV.Prac_Zkr AS PK_Prac_Zkr,
            PV.Zkr_Predm AS PK_Zkr_Predm,
            PV.Rok_Varianty AS PK_Rok_Varianty,
            PV.POZNAMKA POZNAMKA,
            PV.MA_VYUKU MA_VYUKU
        FROM
            Pred_Varianty PV,
                (
                    (
                     SELECT
                       0 Garantujici,
                       DECODE(RA.TypAkce,'Př',1,0) AS Prednasejici,
                       DECODE(RA.TypAkce,'Cv',1,0) AS Cvicici,
                       DECODE(RA.TypAkce,'Se',1,0) AS Seminarici,
                       RA.Prac_Zkr AS Prac_Zkr,
                         RA.Zkr_Predm AS Zkr_Predm,
                         RA.Rok_Varianty AS Rok_Varianty,
                         RA.UcitIDNO
                     FROM Rozvrh_Akce RA
                     WHERE RA.platnost = 'A'
                    )
                    UNION
                    (
                     SELECT
                      0 Garantujici,
                      DECODE(RA.TypAkce,'Př',1,0) AS Prednasejici,
                      DECODE(RA.TypAkce,'Cv',1,0) AS Cvicici,
                      DECODE(RA.TypAkce,'Se',1,0) AS Seminarici,
                      RA.Prac_Zkr AS Prac_Zkr,
                      RA.Zkr_Predm AS Zkr_Predm,
                      RA.Rok_Varianty AS Rok_Varianty,
                      URA.UcitIDNO
                     FROM
                      Rozvrh_Akce RA,
                      UC_Rozvrhove_Akce URA
                     WHERE
                      URA.RoAkIDNO = RA.RoAkIDNO
                      AND RA.platnost = 'A'
                    )
                    UNION
                    (
                     SELECT
                      DECODE(Garant,'A',1,0) AS Garantujici,
                      DECODE(Prednasejici,'A',1,0) AS Prednasejici,
                      DECODE(Cvicici,'A',1,0) As Cvicici,
                      DECODE(Seminarici,'A',1,0) AS Seminarici,
                      UP.Prac_Zkr AS Prac_Zkr,
                      UP.Zkr_Predm AS Zkr_Predm,
                      UP.Rok_Varianty AS Rok_Varianty,
                      UP.UcitIDNO
                     FROM UCITELE_PREDMETU UP
                    )
                 ) X
                 WHERE
                  PV.Rok_Varianty LIKE TRANSLATE(:rok, '*', '%')
                  AND PV.Prac_Zkr LIKE TRANSLATE(:pracoviste, '*', '%')
                  AND X.UcitIDNO = :ucitidno
                  AND PV.Rok_Varianty = X.Rok_Varianty
                  AND PV.Prac_Zkr = X.Prac_Zkr
                  AND PV.Zkr_Predm = X.Zkr_Predm
                 GROUP BY
                  PV.Prac_Zkr || '/' || PV.Zkr_Predm,
                  --// !!! Tady nesmi bejt parametr, protoze driver to vyhodnoti jako jinou promennou od polozky v SELECT sekci, i kdyz je to uplne to samy.
                  DECODE(:lang, 'cs', PV.CZ_Nazev, 'sk', PV.CZ_Nazev, NVL(PV.AN_Nazev, PV.CZ_Nazev)),
                  PV.Prac_Zkr,
                  PV.Zkr_Predm,
                  PV.Rok_Varianty,
                  PV.POZNAMKA,
                  PV.MA_VYUKU
                ) Vnitrni
WHERE
    CG_Garantujici.RV_Domain = 'ANO_NE'
  AND CG_Prednasejici.RV_Domain = 'ANO_NE'
  AND CG_Cvicici.RV_Domain = 'ANO_NE'
  AND CG_Seminarici.RV_Domain = 'ANO_NE'
  AND CG_Garantujici.RV_Low_Value = Vnitrni.Garantujici
  AND CG_Prednasejici.RV_Low_Value = Vnitrni.Prednasejici
  AND CG_Cvicici.RV_Low_Value = Vnitrni.Cvicici
  AND CG_Seminarici.RV_Low_Value = Vnitrni.Seminarici
ORDER BY
    Vnitrni.PK_Prac_Zkr,
    Vnitrni.PK_Zkr_Predm,
    Vnitrni.PK_Rok_Varianty