select
	s.OS_CISLO as pk_os_cislo,
	o.JMENO,
	o.PRIJMENI,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk' , c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  decode(o.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||o.JMENO||' '||o.PRIJMENI|| decode(o.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as student,
  fn_get_predchozi_terminy(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'N') as neoml_terminy,
  fn_get_pocet_predch_terminu(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'N') as neoml_pocet,
  fn_get_pocet_predch_terminu(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'A') as oml_pocet,
  fn_get_predchozi_terminy(snz.termidno,s.OS_CISLO,snz.SEMESTR,t.TYP_TERMINU,'A') as oml_terminy, 
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',fn_meaning2(z.zapocet_slovni_hodnoceni,'SLOVNI_HODNOCENI'),decode(z.hodnoceni_zk,'1', fn_meaning(z.ZNAMKA, 'ZNAMKA'), fn_meaning2(z.slovni_hodnoceni,'SLOVNI_HODNOCENI'))) as predchozi_hodnoceni_slovne,
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',z.zapocet_slovni_hodnoceni,decode(z.hodnoceni_zk,'1',to_char(z.ZNAMKA),z.slovni_hodnoceni)) as predchozi_hodnoceni,
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',z.zapocet_pokus,z.pokus_cislo) as predchozi_pokus,
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',z.zapocet_datum,z.datum) as predchozi_datum,
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',z.zapocet_ucitidno,z.ucitidno) as predchozi_ucitidno,
  fn_get_ucitel(DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK',z.zapocet_ucitidno,z.ucitidno),'PJ','N') as predchozi_ucitel,
  DECODE((select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual),'ZPPZK','2',z.hodnoceni_zk) as predchozi_hodnoceni_zk,
  fn_meaning2(z.JAZYK,'JAZYK') as predchozi_jazyk_slovne,
  z.JAZYK as predchozi_jazyk,
  svr.DAT_UKON,svr.UKONCENI,
  (select fn_meaning3(svr.UKONCENI,'UKONCENI_NEW') from dual) as skupina_ukonceni,
  (select fn_meaning2(svr.UKONCENI,'UKONCENI_NEW') from dual) as ukonceni_slovne,
  snz.OMLUVEN,
  snz.semestr as semestr,
  decode(z.date_of_insert,z.date_of_update,'N','A') as zmena_hodnoceni,
  (select Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm) from dual) as nesplnene_prerekvizity,
  decode(z.zapocet_slovni_hodnoceni,'S','A','N') as zapocet_splnen,
  nvl((select pg_cti_parametry.CTI_RETEZEC_KAT('ZADAT_ZP_PRED_ZK',z.prac_zkr) from dual),'N') as ZADAT_ZP_PRED_ZK,
  (select fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') from dual) as skupina_typu_terminu,
  z.prac_zkr,
  z.zkr_predm,
  z.rok_platnosti,
  z.rok_varianty,
  case
            when pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',z.prac_zkr) is null
                then '-1'
            when decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_datum,z.datum) is null
                then '0'
            when (select Fn_deadline_zapisu_znamek(z.rok_platnosti,Z.prac_zkr) from dual) = 'A'
                then '6'
            when (decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_pokus,z.pokus_cislo) < decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',Z.prac_zkr),3),nvl(pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',Z.prac_zkr),3))  AND nvl(pg_cti_parametry.CTI_RETEZEC_KAT('DEADLINE_ZNAMKY_NEABSOLVOVANE',z.prac_zkr),'N') = 'A' AND decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_slovni_hodnoceni,decode(Z.hodnoceni_zk,'1',fn_meaning_en(Z.znamka,'ZNAMKA'),Z.SLOVNI_HODNOCENI)) = 'N')
                then '5'    
            when trunc(sysdate - decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_datum,z.datum)) < (pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',z.prac_zkr)/3)
                then '1'
            when trunc(sysdate - decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_datum,z.datum)) < ((pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',z.prac_zkr)/3)*2)
                then '2'
            when trunc(sysdate - decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_datum,z.datum)) < pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',z.prac_zkr)
                then '3'
            when trunc(sysdate - decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',z.zapocet_datum,z.datum)) >= pg_cti_parametry.CTI_CISLO_KAT('DEADLINE_ZNAMKY_PLOVOUCI',z.prac_zkr)
                then '4'
        end as plovouciDeadline
from
	Studenti s,
	studenti_v_roce svr,
	osoby o,
	studenti_na_zkouskach snz,
	znamky z,
	terminy t,
	cg_ref_codes c1,
	cg_ref_codes c2

where
	snz.termidno = :idno
	and t.termidno = snz.termidno
	and snz.os_cislo = s.os_cislo
	AND  snz.rok_platnosti = z.rok_platnosti
	AND  snz.rok_varianty  = z.rok_varianty
	AND  snz.os_cislo  = z.os_cislo
	AND  snz.prac_zkr  = z.prac_zkr
	AND  snz.zkr_predm = z.zkr_predm
	AND  snz.semestr  = z.semestr
	and o.OSOBIDNO = s.OSOBIDNO
	and c1.RV_DOMAIN(+) = 'TITUL_PRED'
	and c1.RV_LOW_VALUE(+) = o.TITUL_PRED
	and c2.RV_DOMAIN(+) = 'TITUL_ZA'
	and c2.RV_LOW_VALUE(+) = o.TITUL_ZA
	and svr.OS_CISLO = s.OS_CISLO
	and svr.ROK_PLATNOSTI = z.rok_platnosti
	AND z.uznano = 'N'
	and(:par_cast_prijmeni is null OR o.prijmeni like upper(:par_cast_prijmeni)||'%')
    and(:par_cast_os_cisla is null OR s.os_cislo like upper(:par_cast_os_cisla)||'%')
@IF(0) order by nlssort(o.prijmeni, 'NLS_SORT = XCzech'), nlssort(o.jmeno, 'NLS_SORT = XCzech'), s.OS_CISLO
@IFNOT(0) order by s.OS_CISLO, nlssort(o.prijmeni, 'NLS_SORT = XCzech'), nlssort(o.jmeno, 'NLS_SORT = XCzech')