select  ZN.prac_zkr as "PRAC_ZKR",
        ZN.ZKR_PREDM as "ZKR_PREDM",
        ZN.ROK_VARIANTY as "ROK_VARIANTY",
        ZN.SEMESTR as "SEMESTR",
        pv.PREDZ_ZA as "MA_ZP_PRED_ZK",
        ZN.os_cislo as "OS_CISLO",
        ZN.UCITIDNO as "ZKOUSKA_UCITIDNO",
        FN_GET_UCITEL(ZN.UCITIDNO,'PJ','N') as "ZKOUSKA_UCITEL",
        OS.prijmeni as "PRIJMENI",
        OS.jmeno as "JMENO",
        (SELECT fn_meaning(OS.titul_pred,'TITUL_PRED') FROM dual)||decode(OS.titul_pred,NULL,NULL,', ')||(SELECT fn_meaning(OS.titul_za,'TITUL_ZA') FROM dual) as "TITUL",
        cg1.rv_meaning as "ZKOUSKA_TYP_HODNOCENI",
        ZN.DATUM as "ZKOUSKA_DATUM",
        decode(ZN.hodnoceni_zk,1,fn_meaning(ZN.znamka, 'ZNAMKA'), fn_meaning(ZN.SLOVNI_HODNOCENI, 'SLOVNI_HODNOCENI') ) as "ZKOUSKA_HODNOCENI",
        DECODE( NVL(zn.pokus_cislo,0), 0,
          fn_get_pocet_predch_terminu2(zn.OS_CISLO,zn.prac_zkr, zn.zkr_predm, zn.rok_platnosti, 'ZK' ,'N'), zn.pokus_cislo) as "ZKOUSKA_POKUS",
        ZN.ZAPOCET_DATUM as "ZAPOCET_DATUM",
        fn_meaning(ZN.ZAPOCET_SLOVNI_HODNOCENI, 'SLOVNI_HODNOCENI') as "ZAPOCET_HODNOCENI",
        DECODE( pv.PREDZ_ZA, 'N', 0,
          DECODE( NVL(zn.ZAPOCET_POKUS,0), 0,
            fn_get_pocet_predch_terminu2(zn.OS_CISLO,zn.prac_zkr, zn.zkr_predm, zn.rok_platnosti, 'ZPPZK','N'), zn.ZAPOCET_POKUS)) as "ZAPOCET_POKUS",
        ZN.ZAPOCET_UCITIDNO as "ZAPOCET_UCITIDNO",
        FN_GET_UCITEL(ZN.ZAPOCET_UCITIDNO,'PJ','N') as "ZAPOCET_UCITEL",
        ZN.JAZYK as "JAZYK",
        Fn_nespl_podm(ZN.os_cislo, ZN.prac_zkr, ZN.ZKR_PREDM) as prerekvizity
 FROM znamky ZN,
      studenti ST,
      osoby OS,
      pred_varianty pv,
      cg_ref_codes cg1
WHERE ZN.prac_zkr = :par_prac_zkr
  AND ZN.zkr_predm = :par_zkr_predm
  AND ZN.rok_varianty like nvl(:par_rok_varianty,'%')
  AND ZN.SEMESTR like nvl(:par_semestr,'%')
  AND ZN.uznano = 'N'
  and pv.prac_zkr = zn.prac_zkr
  and pv.zkr_predm = zn.zkr_predm
  and pv.rok_varianty = zn.rok_varianty
  AND (:par_roakidno IS NULL OR (:par_roakidno IS NOT NULL AND exists (SELECT ZA.roakidno FROM zapisy ZA WHERE ZA.roakidno = :par_roakidno AND ZA.os_cislo = ZN.os_cislo AND ZA.prac_zkr = ZN.prac_zkr AND ZA.zkr_predm = ZN.zkr_predm AND ZA.rok_varianty = ZN.rok_varianty AND ZA.semestr = ZN.semestr)))
  AND (:par_termidno IS NULL OR (:par_termidno IS NOT NULL AND exists (SELECT SNZ.termidno FROM studenti_na_zkouskach SNZ WHERE SNZ.termidno = :par_termidno AND SNZ.os_cislo = ZN.os_cislo AND SNZ.prac_zkr = ZN.prac_zkr AND SNZ.zkr_predm = ZN.zkr_predm AND SNZ.rok_varianty = ZN.rok_varianty AND SNZ.semestr = ZN.semestr)))
  AND ZN.os_cislo = ST.os_cislo
  AND ST.osobidno = OS.osobidno
  and cg1.rv_domain = 'HODNOCENI_ZK'
  and cg1.rv_low_value = zn.hodnoceni_zk
order by zn.semestr, nlssort(OS.prijmeni, 'NLS_SORT = XCzech'), nlssort(OS.jmeno, 'NLS_SORT = XCzech')
